commit c68419b628105054dbaf2cca90688ed086d0a265
Author: Alexey Brodkin <Alexey.Brodkin@synopsys.com>
Date:   Mon Nov 10 10:16:54 2014 +0300

    Makefile: allow building selected tests with non-NPTL toolchain
    
    Some architectures are still stuck with non-NPTL toolchains.
    These are for example ARC, Blackfin, Xtensa etc.
    
    Still rt-tests are very good benchmarks and it would be good to enable use of
    at least selected (those that will be built) tests on those architectures.
    
    This change makes it possible to only build subset of tests that don't require
    NPTL calls.
    
    By default behavior is not modified - all tests are built, but if one wants
    to build with non-NPTL toolchain just add "HAVE_NPTL=no" in command line
    or modify "HAVE_NPTL" variable right in Makefile and execute "make".
    
    Signed-off-by: Alexey Brodkin <abrodkin@synopsys.com>
    Cc: Vineet Gupta <vgupta@synopsys.com>
    Cc: Clark Williams <clark.williams@gmail.com>

commit deb1e1eecc64dfc27267cf6d9f71f87b4eccc7c5
Author: Clark Williams <clark.williams@gmail.com>
Date:   Thu Jan 15 12:40:56 2015 -0600

    specfile: update template and make build exclusive to x86_64
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 53956b6712fef18a7141c2b24dcf8815b5e46e9d
Author: Clark Williams <clark.williams@gmail.com>
Date:   Thu Jan 15 12:35:05 2015 -0600

    pip_stress: parameterize usleep value to work-around platform issues
    
    ARM platforms have timing issues with pip_stress:
    
        Hello,
    
        pip_stress works out of the box on my x86 based laptop, but
        doesn't work on ARM devices, returned 'no inversion incurred'.
        Follow the comment to increase usleep value, 2500 worked for
        pandaboard and 3000 worked for Beaglebone Black board.
    
        I propose that increase the usleep value to 3500 from upstream,
        so that we can use pip_stress right out of the box.
    
    Rather than hardcode the usleep value used by pip_stress, I made
    the command line option --usleep which takes a microsecond value
    that defaults to 500us.
    
    Reported-by: Chase Qi <chase.qi@linaro.org>
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit d1f037dc3c83c04c8b291868cf39e238745f19eb
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:45 2014 +0100

    pi_stress: Store schedule attributes per thread
    
    Currently, the scheduling class is configured on a global
    level. It is possible to run the test either with SCHED_FIFO
    or SCHED_RR. All threads run then with the same configuration
    except sched_priority is different.
    
    By storing the scheduling attributes per thread we will be able
    to use different scheduler classes at the same time. The aim is
    to use SCHED_DEADLINE for the high priority thread.
    
    First thing to get there is to introduce low_sa, med_sa, high_sa
    and admin_sa. They are configured using the global policy variable
    on default. Either using SCHED_FIFO or SCHED_RR. The user
    can though use --sched command line options to configure each
    thread seperately. E.g.
    
    Starting PI Stress Test
    Number of thread groups: 1
    Duration of test run: infinite
    Number of inversions per group: unlimited
         Admin thread SCHED_FIFO priority 4
    1 groups of 3 threads will be created
          High thread SCHED_DEADLINE runtime 100000 deadline 200000 period 200000
           Med thread SCHED_FIFO priority 2
           Low thread SCHED_FIFO priority 1
    Current Inversions: 2446249
    Stopping test
    Terminated
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit 7efada9d5be2660e1a5923b2cb4b7a484eb071f6
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:44 2014 +0100

    rt-utils: Add gettid()
    
    We still lack a gettid implemenation from libc.
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit e875ad63d36a316bbe0f8233fffa5b67cfe837a4
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:43 2014 +0100

    rt-utils: Add helper to parse/print scheduling policies
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit ef2dee4232b7cae594ef7ecb7230c4bd18cea3f3
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:42 2014 +0100

    rt-sched: Add sched_setattr/sched_getattr API
    
    Until we have a proper libc implementation we maintain a simple
    version of it. We this new API we are able to use SCHED_DEADLINE.
    
    This is shamelessly stolen from Dario Faggioli's libdl.
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>
    Cc: Dario Faggioli <raistlin@linux.it>

commit 4450464a96cd6ca7b4705704b55b43a476892924
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:41 2014 +0100

    pi_stress: Use error.h for logging and debugging
    
    In order to be able to use some of the rt-utils.h function we need
    to get rid of our own info() & friends implementation.
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit bf246ba473b502fa5dbba8254ded138310f929f3
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:40 2014 +0100

    error: Add debug() function
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit 62a796727a32e4fdc45a4c20978bf6c8a3ffda55
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:39 2014 +0100

    pi_stress: Remove unused TIMER_SIGNAL definition
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit 37c4b02108e62d2b360f8e563accaf1044a1fea7
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:38 2014 +0100

    rt-tests.h: Remove unused header file
    
    There is no user of this header file.
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit b45ce036389ff5b8b710976ad8ccbbd69cace02c
Author: Daniel Wagner <daniel.wagner@bmw-carit.de>
Date:   Wed Nov 5 10:09:37 2014 +0100

    hackbench: Don't re-assign context for each fd
    
    A small optimization. Setting it once is enough.
    
    Signed-off-by: Daniel Wagner <daniel.wagner@bmw-carit.de>

commit 536baa764814482d362edd30e8bb21d8da93f35c
Merge: b028c17565e4 b23d5ced109e
Author: Clark Williams <clark.williams@gmail.com>
Date:   Thu Nov 6 15:41:21 2014 -0600

    Merge remote-tracking branch 'jkacur/v0.89-devel' into work

commit b23d5ced109e69369dbb372d1ce411e17b93487c
Author: Joakim Hernberg <jbh@alchemy.lu>
Date:   Thu Aug 14 19:29:29 2014 +0200

    cyclictest: make affinity option only use number of online cpus
    
    When I boot my 8 core i7 laptop with the maxcpus=4 kernel boot flag,
    cyclictest -S runs 8 threads.  This patch makes it only use the number
    of online cpus instead.
    
    Signed-off-by: Joakim Hernberg <jhernberg@alchemy.lu>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 5078ecff39e0284425acb8035c0addca7dcda68f
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Aug 14 17:24:31 2014 +0200

    cyclictest: Add long option --laptop to preserve battery power
    
    Some people running cyclictest on laptops don't want to automatically
    take advantage of the trick that prevents the power management to
    transition to high cstates, since it eats up their battery power.
    
    Allow them to suppress this feature with --laptop
    
    This will result in power latency results of course.
    
    Feature-requested-by:  Joakim Hernberg <jhernberg@alchemy.lu>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit b028c17565e40fc0c913d547f93b713a2e317255
Merge: 629b13d33800 863f14822200
Author: Clark Williams <clark.williams@gmail.com>
Date:   Fri Aug 15 10:38:26 2014 -0500

    Merge remote-tracking branch 'jkacur/v0.89-devel' into work

commit 863f1482220034de0a85f8150384931318325953
Author: Joakim Hernberg <jbh@alchemy.lu>
Date:   Thu Aug 14 19:29:29 2014 +0200

    cyclictest: make affinity option only use number of online cpus
    
    When I boot my 8 core i7 laptop with the maxcpus=4 kernel boot flag,
    cyclictest -S runs 8 threads.  This patch makes it only use the number
    of online cpus instead.
    
    Signed-off-by: Joakim Hernberg <jhernberg@alchemy.lu>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit dd01e7dab9a4eb7adf752d6fc7706b7ebe2b2f2c
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Aug 14 17:24:31 2014 +0200

    cyclictest: Add long option --laptop to preserve battery power
    
    Some people running cyclictest on laptops don't want to automatically
    take advantage of the trick that prevents the power management to
    transistion to high cstates, since it eats up their battery power.
    
    Allow them to suppress this feature with --laptop
    
    This will result in power latency results of course.
    
    Feature-requested-by:  Joakim Hernberg <jhernberg@alchemy.lu>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 72ce09a0fa3c7b2b8c55d1f54749acc4274d2693
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Aug 14 17:01:05 2014 +0200

    cyclictest: Fix help for long options only
    
    At some point in the history of cyclictest, a number of short options
    were removed and changed to long only options. However the display_help
    was not updated to reflect this and indicates short options that
    no longer exist. Fix this. I also found a long option that wasn't listed
    at all and added that.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit f0b2df877c67b2755c02835dfeb5eec6dd3d1d8c
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Aug 14 16:22:11 2014 +0200

    cyclictest: Change the output from function sighand() to stderr
    
    cyclictest can be run from other tools such as rteval
    in order to get current status on long runs, SIGUSR1 is sent to
    cyclictest and caught by function sighand()
    
    This creates difficulties for rteval when parsing cyclictest output, so
    change the output to stderr.
    
    Note, a RFC was sent out on Apr.15 2014 entitled
    "RFC: SIGUSR1 to stderr"
    to:	 RT <linux-rt-users@vger.kernel.org>
    cc:	 Carsten Emde <C.Emde@osadl.org>,
    	 Thomas Gleixner <tglx@linutronix.de>,
    	  Clark Williams <williams@redhat.com>
    
    Since I didn't receive any replies, I'm assumin there are no objections
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 4b430a76785d630e399e60466fdc66cec3a74805
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Aug 14 16:03:07 2014 +0200

    cyclictest: Always print an err message if write of 0 to cpu-dma_latency fails
    
    In set_latency_target() there are some paths that don't print an error
    message even when a write of 0 to /dev/cpu_dma_latency fails.
    
    This patch does the following
    - always print an error message if the write to /dev/cpu_dma_latency
    fails
    - Fix the error check with the write call. (a return of 0 or -1 indicate
     problems
    - rename ret to err since this function is void and returns no value
    - use err_msg_n instead of printf (which also prints to stderr)
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 629b13d338007f4a5e1c1b47fa446da7fca46ee0
Author: Joakim Hernberg <jhernberg@alchemy.lu>
Date:   Wed Jul 23 21:06:54 2014 +0200

    make SMP option only use online cpus.

commit 245b19c5f69a00f36bb17adbaf0472a45ac06154
Author: John Kacur <jkacur@redhat.com>
Date:   Fri May 9 14:12:26 2014 +0200

    rt_numa.h: Suppress discards 'const' qualifier warning
    
    In rt-tests we try to use const where appropriate for read-only, but
    we need to tell the compiler we are intentionally discarding const
    when calling library functions that expect char *
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 6b6ebd9f0d7469d0e6a459d1524d14e76cd40e11
Author: John Kacur <jkacur@redhat.com>
Date:   Fri May 9 01:21:06 2014 +0200

    lib: Rework err_msg_n to output strerror after message
    
    Outputting the message first followed by the strerror makes
    the error messages more readable.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit c5f2a4436035fab1553636910329d7944f234fdf
Merge: 9a345c137545 9164ec4db264
Author: Clark Williams <clark.williams@gmail.com>
Date:   Sun Mar 30 11:17:52 2014 -0500

    Merge branch 'work'

commit 9164ec4db2645f52ffdd20e6d1b72bb0411ab40e
Author: Clark Williams <clark.williams@gmail.com>
Date:   Sun Mar 30 11:16:44 2014 -0500

    version bump to 0.89
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 041e643710fd286c550650cfe2813b540d516204
Author: Clark Williams <clark.williams@gmail.com>
Date:   Sun Mar 30 11:05:49 2014 -0500

    cyclictest: fix leftover debbuging comment in argument processing
    
    Left a single line comment in the switch statement for handling
    affinity options. Removed it.
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 266a7b90a5c309327efd519c2c31571af1e0ea15
Author: Clark Williams <clark.williams@gmail.com>
Date:   Sat Mar 29 10:39:26 2014 -0500

    hwlatdetect: convert to run with both python2 and python3
    
    Ran 2to3 on hwlatdetect.py and checked in the result. Tested
    on F20 system running 3.12.14-rt23 with both python2 and python3.
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 9a345c137545ec94cdf3e40f06108cc239d8286e
Author: Clark Williams <clark.williams@gmail.com>
Date:   Fri Mar 28 13:04:36 2014 -0500

    removed debugging comments and printfs
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit bd4493d6ef405a8b0287e7d5f26987e025274b53
Merge: 751b683a9d38 a7fbe4c58b94
Author: Clark Williams <clark.williams@gmail.com>
Date:   Fri Mar 28 09:27:18 2014 -0500

    Merge branch 'work'

commit a7fbe4c58b94bb138cb76af43ff94f65bda63002
Author: Clark Williams <clark.williams@gmail.com>
Date:   Fri Mar 28 09:26:31 2014 -0500

    version bump to 0.88
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 9bdd51a808b3c3d05c33eef9d7b3536099fa1170
Author: Gary S. Robertson <gary.robertson@linaro.org>
Date:   Tue Mar 25 18:05:32 2014 -0500

    cyclictest: Don't offer --numa option when unavailable
    
    Signed-off-by: Gary S. Robertson <gary.robertson@linaro.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 618427fab929656e062dbc10858a32722a524c88
Author: Gary S. Robertson <gary.robertson@linaro.org>
Date:   Tue Mar 25 18:05:31 2014 -0500

    cyclictest: Restore CPU affinity function for non-NUMA builds
    
    Signed-off-by: Gary S. Robertson <gary.robertson@linaro.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 751b683a9d38e740139c88f5ee06d5b526fceb29
Author: Gary S. Robertson <gary.robertson@linaro.org>
Date:   Tue Mar 25 18:05:32 2014 -0500

    Don't offer --numa option when unavailable
    
    Signed-off-by: Gary S. Robertson <gary.robertson@linaro.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 04db73f6c74ab5957c4f1cdd8d6e3f961acd5588
Author: Gary S. Robertson <gary.robertson@linaro.org>
Date:   Tue Mar 25 18:05:31 2014 -0500

    Restore CPU affinity function for non-NUMA builds
    
    Signed-off-by: Gary S. Robertson <gary.robertson@linaro.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 87f11582451733f9e37ccae470fca70e1e83a17c
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Fri Jan 31 14:07:20 2014 -0600

    cyclictest: Fix tracemark output when the latency threshold is hit on ARM
    
    on ARM I'm seeing output like:
    
    	cyclicte-623     0....... 19619418us+: tracing_mark_write: hit latency threshold (2000 > 2097)
    
    That's because of a format mismatch in
    
    	tracemark("hit latency threshold (%d > %d)", diff, tracelimit);
    
    diff is a u64 and tracelimit an int. So on ARM the string is passed in r0,
    tracelimit in r1 and diff in r2+r3. vsnprintf used in tracemark only
    expects two ints passed and so only uses r1 and r2 yielding the permutation
    in the output.
    
    This patch also adds a gcc attribute to tracemark that helps catching
    similar bugs. In this case just adding the attribute but not touching
    the call site, would result in:
    
    	src/cyclictest/cyclictest.c: In function ‘timerthread’:
    	src/cyclictest/cyclictest.c:899:4: warning: format ‘%d’ expects argument of type ‘int’, but argument 2 has type ‘uint64_t’ [-Wformat]
    
    ---
    Hello
    
    after some chatting with Clark and John I dropped the c99 stuff and added the
    attribute annotation.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 3917fdbe56a8e8716f3d1ba93806083e598d3e49
Author: Ciprian Barbu <ciprian.barbu@linaro.org>
Date:   Thu Dec 12 16:47:19 2013 +0200

    rt-tests: hackbench: fix for uninitialized start time
    
    Hello,
    
    While playing around with hackbench I discovered that I would sometimes
    get an enormous time reported, even if the run time would be less than a
    second or so. The problem was that the struct timeval start was not
    initialized until after all children have been created. But if the
    program receives a signal before this is done, the start time is left
    uninitialized.
    
    I propose that in such situations an error message be displayed, like
    the following patch does.
    
    Please let me know if this is acceptable.
    
    Regards,
    /Ciprian
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit b0413ae5ed802004fb0c4af74a1757381fd2b91f
Author: Clark Williams <clark.williams@gmail.com>
Date:   Wed Dec 11 16:43:14 2013 -0600

    version bump to 0.87
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 7c21340615714a68883cc36f6aad15ef3a817d0f
Author: Clark Williams <clark.williams@gmail.com>
Date:   Wed Dec 11 15:30:29 2013 -0600

    fixed #ifdef that cuts -A option in display_help()
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 2f060c9ac655b8ecdb0bf3ce827cb8d05dc8b8c5
Author: Aaron Fabbri <ajfabbri@gmail.com>
Date:   Tue Sep 3 13:32:50 2013 -0700

    CPU affinity now takes arbitrary set of cpus.
    
    e.g.
      cyclictest -a4,6-8 -t5
    
    will use 5 threads, assigned round-robin to the set of CPUs {4,6,7,8}.
    CPU 4 will get threads 1 and 5, CPU 6 gets thread 2, CPU 7 gets thread 3, and
    CPU 8 gets thread 4.
    
    As explained in the updated manpage, libnuma >= v2 is required for these
    arbitrary CPU sets.  With libnuma v1, the -a option behaves as before.  As
    before, compiling without libnuma is supported. The command usage help is fixed
    up at compile time to always show the correct usage of the -a option.
    
    Also note that, since numa_parse_cpustring_all() wasn't available in early
    libnuma v2 versions, we use numa_parse_cpustring().  This means you'll have to
    use taskset in some cases (isolcpus kernel parameter) to add the desired CPUs to
    the set of allowed cores, e.g.:
    
      taskset -c4-6 cyclictest -a4-6
    
    Tested with out libnuma (numactl), and with versions 1.0.2 and 2.0.9-rc3.
    
    Signed-off-by: Aaron Fabbri <ajfabbri@gmail.com>
    (cherry picked from commit 5375ab86e77881d8043e5e309bb8daf5a84cc05f)
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 7ff65cfa9d4e73841d9dbf05b2678902f12014a7
Author: Clark Williams <clark.williams@gmail.com>
Date:   Fri Nov 15 15:39:21 2013 -0600

    updated Makefile and do-git-push script to use kup
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 4ab63398b92d693c23e19882a5397ee9b950dfe7
Author: Clark Williams <clark.williams@gmail.com>
Date:   Fri Nov 15 09:50:49 2013 -0600

    version bump to 0.86
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 1b46049fb5eab8fb8eb52184c362b28b3e20c083
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 14 17:40:03 2013 +0100

    cyclictest: Align option fixes
    
    These changes make the align option truly optional as claimed.
    
    1. Rename disaligned to offset for readability.
    2. Fix the aligned option so that if no optional argument is given,
    the offset defaults to 0
    3. Fix some white space problems as reported by checkpatch.pl in the kernel
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 77d109dbea9b2ae39b87af0f0fbbe343cfea3d09
Author: Nicholas Mc Guire <der.herr@hofr.at>
Date:   Wed Nov 13 09:08:05 2013 -0600

    cyclictest: add align thread wakeup times option
    
    This patch provides and additional -A/--align flag to cyclictest to align
    thread wakeup times of all threads as closly defined as possible.
    
    When running multiple threads in cyclictest (-S or -t # option) the threads
    are launched in an unsynchronized manner. Basically the creation order and
    time for thread creation determines the start time. For provoking a maximum
    congestion situation (e.g. cache evictions) and to improve reproducibility
    or run conditions the start time should be defined distances appart. The
    well defined distance is implemented as a offset parameter to -A/--align
    and will offset each threads start time by the parameter * the sequentially
    assigned thread number (par->tnum), together with the -d0 (distance in the
    intervals of the individual threads) this alignment option allows to get
    the thread wakeup times as closely synchronized as possible.
    
    The method to sync is simply that the thread with par->tnum == 0 is chosen
    to set a globally shared timestamp, and all other threads use this timestamp
    as their starting time rather than each calling clock_gettime() at startup.
    To ensure synchronization of the thread startup the setting of the global
    time is guarded by pthread_barriers.
    
    Signed-off-by: Nicholas Mc Guire <der.herr@hofr.at>
    Reviewed-by: Andreas Platschek <andreas.platschek@opentech.at>
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit fd37e16b2074fd33566c5188e6ab855f59c90c48
Author: Nicholas Mc Guire <der.herr@hofr.at>
Date:   Tue Aug 6 03:23:30 2013 +0200

    minor cleanup in cyclictest
    
    HI !
    
     just noticed a, presumably, unnecessary tsnorm in cyclictest
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit a3a7ee1a683107158d1627fb2f04f73a159970be
Author: Clark Williams <clark.williams@gmail.com>
Date:   Thu Apr 11 12:04:29 2013 -0500

    cyclictest: modify option handling to use enumerated types
    
    Change return value from option parsing to be enumerated type
    rather than a character. Hopefully this will clean up the option
    handling a bit and not confuse me when I come back to add yet
    another option to cyclictest.
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit dd6ae1155dc7fbee79426ae5952d48b4151c1cd7
Author: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
Date:   Thu Apr 11 17:20:05 2013 +0200

    hackbench: init child's struct before using it
    
    Commit ad27df7 ("Reimplement better child tracking and improve error
    handling") changed the way of reporting pid/error after creating a
    child. It will return an union which is a mix pid_t, pthread_t and a
    signed long long for errors.
    Now on 32bit x86 both pid_t and pthread_t are four byte in size and are
    stored in the first 4 bytes. Now if the most significant bit of the long
    long variable happens to be set by chance (because nobody really
    initializes the variable here) then error variable will be negative. On
    little endian machines the assignment of pid or threadid won't reset the
    sign bit and you see this:
    
    | Running in process mode with 10 groups using 40 file descriptors each (== 400 tasks)
    | Each sender will pass 100 messages of 100 bytes
    | 0 children started.  Expected 40
    | sending SIGTERM to all child processes
    | signaling 0 worker threads to terminate
    | Creating workers (error: Success)
    
    A machine with proper endian handlig (that is big endian) would reset
    the sign bit during the assignment of pid and I would not have to make
    this patch :)
    
    While here, I make create_worker() since it is not used outside of this
    file.
    
    Cc: David Sommerseth <davids@redhat.com>
    Signed-off-by: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 83adb67c7928a73f6434e98cba736717d656ceb4
Author: Clark Williams <clark.williams@gmail.com>
Date:   Wed Mar 13 19:36:29 2013 -0500

    cyclictest: allow break threshold without doing any tracing
    
    Add the --notrace/-A option, intended to be used in conjunction
    with the -b option. This will cause cyclictest to exit when a
    threshold is hit, but will not perform any tracing operations,
    allowing more sophisticated tracing to be done externally.
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 1906cc53f5c4e6803cd91403d327c7da272d389a
Author: Clark Williams <clark.williams@gmail.com>
Date:   Wed Mar 13 16:53:53 2013 -0500

    cyclictest: add named fifo for statistics
    
    This code adds the -F/--fifo option to cyclictest. Using the
    --fifo <path> option will cause cyclictest to create a named
    fifo at <path> and will dump the current run statistics to that
    fifo when it is opened an read.
    
    Signed-off-by: Clark Williams <clark.williams@gmail.com>

commit 1b92da30837e9552aba209cbdf938877f0fd3bbf
Author: Jim Somerville <Jim.Somerville@windriver.com>
Date:   Thu Feb 14 17:23:14 2013 -0500

    cyclictest: finish removal of 1 second first loops
    
    Huge latencies are observed (close to 1 second) when certain
    options are used in cyclictest.
    
    The problem was 1st introduced at commit da4956cbcaf7945554f
    ("use interval on first loop instead of 1 second").  It removed
    the 1 second first timing loop out of the main path in cyclictest
    but left it in two other paths, namely the ones triggered by
    these two options:
    
        -r   --relative    use relative timer instead of absolute
        -s   --system      use sys_nanosleep and sys_setitimer
    
    which in turn causes the huge latencies of close to 1 second to
    be reported by cyclictest with certain uses of those two options.
    
    Here we extend the original commit to remove the 1 second
    hardcoded timer values from the RELTIME and ITIMER options, by
    simply using the actual interval provided instead.
    
    Signed-off-by: Jim Somerville <Jim.Somerville@windriver.com>
    Cc: Clark Williams <williams@redhat.com>
    Cc: John Kacur <jkacur@redhat.com>
    Cc: Steven Rostedt <rostedt@goodmis.org>
    Signed-off-by: Paul Gortmaker <paul.gortmaker@windriver.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit b2689a768a3fbdb8fb717719b384855440efec59
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Feb 15 15:02:21 2013 +0100

    Makefile: Don't tag files in dir BUILD from rpm builds
    
    Don't tag copies of files in BUILD created when building an rpm
    Without this change tags finds both copies, eg: for tag cyclictest.c
      # pri kind tag               file
      1 F   F    cyclictest.c      BUILD/rt-tests/src/cyclictest/cyclictest.c
                   1
      2 F   F    cyclictest.c      src/cyclictest/cyclictest.c
    
    With this change, only the later one is found
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 7ffb5a6e20aafaf1e5c1389bf69da15b47923c37
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Mon Feb 11 13:46:30 2013 -0800

    rt-tests: NUMA optional for make rpm
    
    version 2:
      - Add new placeholders in rt-tests.spec-in to make the replacements by
        "make rpm" more visible to future maintainers of rt-tests.spec-in
      - fix typo of my name in rt-tests.spec-in
    
    rt-tests can be built without NUMA:
    
       make NUMA=0
    
    But "make rpm" does not have a way to be successful without NUMA:
    
       build_rt-tests_0.85> make rpm
       for F in cyclictest signaltest pi_stress rt-migrate-test ptsematest sigwaittest svsematest pmqtest sendme pip_stress hackbench *.o .depend *.*~ *.orig *.rej rt-tests.spec *.d *.a  ChangeLog; do find -type f -name $F | xargs rm -f; done
       rm -f hwlatdetect
       rm -f tags
       rm -rf BUILD BUILDROOT RPMS SRPMS SPECS releases *.tar.gz rt-tests.spec tmp
       git log >ChangeLog
       mkdir -p releases
       mkdir -p tmp/rt-tests
       cp -r Makefile COPYING ChangeLog src tmp/rt-tests
       tar -C tmp -czf rt-tests-0.85.tar.gz rt-tests
       rm -f ChangeLog
       cp rt-tests-0.85.tar.gz releases
       sed s/__VERSION__/0.85/ <rt-tests.spec-in >rt-tests.spec
       rpmbuild -ba --define "_topdir /a/home/frowand/me/src/rt-tests/build_rt-tests_0.85" --define "_sourcedir /a/home/frowand/me/src/rt-tests/build_rt-tests_0.85/releases" --define "_builddir /a/home/frowand/me/src/rt-tests/build_rt-tests_0.85/BUILD"  rt-tests.spec
       error: Failed build dependencies:
               numactl-devel is needed by rt-tests-0.85-1.fc12.src
       make: *** [rpm] Error 1
    
    The following patch allows the rpm to be built without NUMA, with the command:
    
       make NUMA=0 rpm
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit cc7b99bf4e533a061b30becee9d51552bc3b908b
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Feb 8 15:27:24 2013 +0100

    Makefile: Add BUILDROOT and SPECS to the dirs to remove for distclean
    
    make rpm creates the dirs BUILDROOT and SPECS that are missed by distclean.
    Gather all rpm related DIRS to the RPMDIRS and add that to distclean.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Reviewed-by: Frank Rowand <frank.rowand@am.sony.com>
    Tested-by: Frank Rowand <frank.rowand@am.sony.com>

commit d29d951dbe3c9ae8144f9a25f37f4009302f675d
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Feb 8 15:18:02 2013 +0100

    Makefile: Add tmp dir to distclean and "make release" call distclean
    
    The files in the tmp dir are generated during make release.
    These are the kind of generated files that should be removed for distclean,
    So add tmp. make release can be slightly simplified by then depending
    on distclean instead of clean.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Reviewed-by: Frank Rowand <frank.rowand@am.sony.com>
    Tested-by: Frank Rowand <frank.rowand@am.sony.com>

commit 0918c34effecae2c21b3eb28fb6d3712dc751863
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Feb 8 15:02:14 2013 +0100

    Makefile: Don't tag tmp files created when making a release
    
    Don't tag the copies of the source files placed in the tmp directory
    during the creation of a release.
    Without this change tags finds both copies, eg: for tag cyclictest.c
      # pri kind tag               file
      1 F C F    cyclictest.c      src/cyclictest/cyclictest.c
                   1
      2 F   F    cyclictest.c      tmp/rt-tests/src/cyclictest/cyclictest.c
                   1
    
    With this change only the first one is found.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Reviewed-by: Frank Rowand <frank.rowand@am.sony.com>
    Tested-by: Frank Rowand <frank.rowand@am.sony.com>

commit 65c27472cc17e867be106eaa0b722082288fe3a6
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Mon Jan 28 18:09:46 2013 -0800

    cyclictest: white space cleanup
    
    Clean up cyclictest formatting:
      Change leading spaces to tabs.
      Align function parameters.
      Place type of function on same line as function name.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 210e625227d21e0b589b8eaa36cd81f1cb981819
Author: Clark Williams <williams@redhat.com>
Date:   Tue Nov 13 15:43:45 2012 -0600

    version bump to 0.85
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 93e525fac1402e79744cb1a9bb16ef96b98c272b
Merge: 9854a61da92d 7667ff694693
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Nov 9 16:25:18 2012 +0100

    Merge branch 'clrkwllms/work' into rt-tests-0.84-devel
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 9854a61da92d80ccce74e091ddc9d4c0e3983e79
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Mon Aug 13 13:38:25 2012 -0700

    V3: cyclictest: report large measured clock latency
    
    V3: Use src/lib/error.c functions instead of fprintf.
        Fix printf format warnings for 32 bit vs 64 bit systems with cast.
        One issue with using warn() and info() instead of fprintf is that
        the compiler no longer warns about format mismatches.
        Fix bad continuation line white space prefix.
        Remove unused variable zero_diff.
    
    cyclictest: ARM panda clock resolution will be ~30 usec unless
    CONFIG_OMAP_32K_TIMER=n, resulting in a poor latency report.
    
    This patch does _not_ fix the problem, it merely provides the
    instrumentation to make it visible.  The value of measured
    resolution is useful information for any system.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    - Fixed up minor white space problem.
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit fcdef80f5f3910f2a9a8f6fcc7045bd068a9bce5
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Mon Aug 13 13:37:42 2012 -0700

    V3: cyclictest: clean up getopt_long() parameters
    
    V3: unchanged from V2
    
    cyclictest getopt_long() parameter clean up.
    Clean up before following patch which will add a new option.
    
      Some elements of long_options were not in alphabetical order.
    
      Some elements of optstring were not in alphabetical order.
    
      '-e', '--latency' was missing help text
    
      short form of --duration ('D') was missing from optstring
    
      Change a few instances of leading spaces to tabs.
    
      Add white space to long_options to improve readability.
    
      Some cases of the switch processing the result of
        getopt_long() were not in alphabetical order.
    
      Did _not_ clean up option value parsing and processing.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>
    
    Conflicts:
    	src/cyclictest/cyclictest.c

commit 2400e5e3b561e66a7779a4115e756959d2dcff1c
Author: John Kacur <jkacur@redhat.com>
Date:   Tue Oct 16 00:58:46 2012 +0200

    rt-tests Makefile: Add CPPFLAGS to the pattern rule to generate dependencies
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit dfcef6e557b7980a33aa30b45bde196ed1780eb1
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Tue Oct 16 00:26:44 2012 +0200

    rt-tests Makefile: separate CFLAGS and CPPFLAGS
    
    For compilation to work
    
            -D_GNU_SOURCE -Isrc/include
    
    is needed to be passed to the compiler. For Debian packaging several
    things are added but not these two from above. So be a bit more friendly
    and add them unconditionally. There is no harm if they are included in
    the user supplied CFLAGS and so passed twice.
    
    Moreover be a bit more correct about CFLAGS/CPPFLAGS. Both should be
    passed to the compiler with CFLAGS taking options for the compiler and
    CPPFLAGS taking options for the preprocessor. This is also needed for
    Debian packaging where the helper scripts set CPPFLAGS.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 954e01fe14374466964bed63769cfcf6a98f2aa1
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Sun Sep 2 21:46:10 2012 +0200

    rt-tests: have printf use %s format for strings
    
    Discovered while compiling with "hardening flags"
    
    For Debian 7.0 (aka wheezy) packages it's recommended to use several
    hardening flags, the default on amd64 being:
    
    	CFLAGS=-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security
    	CPPFLAGS=-D_FORTIFY_SOURCE=2
    	LDFLAGS=-Wl,-z,relro
    
    This patch doesn't fix all warnings but at least makes all programs compile
    again by not using char *variables as printf format strings.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit d63f567c646e07da87d9ce3cce5e5add74c97e16
Author: John Kacur <jkacur@redhat.com>
Date:   Wed May 9 17:32:11 2012 +0200

    rt-tests / gitignore: Exclude patches and .a libs too.
    
    Minor fix to make working with git nicer.
    Now that we're building a lib, we need to exclude it from git status output.
    Do the same for patches we generate or apply.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 992b905d42143f2741b537b60bc51e3fa7c8859d
Author: Bhavesh Davda <bhavesh@vmware.com>
Date:   Tue Oct 16 10:02:53 2012 -0700

    cyclictest: histogram overflow instance tracking
    
    Add feature to cyclictest histogram mode to track cycle counts every time a
    sample overflows the histogram limit. This should help identify if there is a
    timing pattern to jitters in cyclictest runs.
    
    Example output (with -h 10):
     ...
     Histogram Overflows: 00001 00007 00000 00009 00004 00007 00000 00001
     Histogram Overflow at cycle number:
     Thread 0: 09964
     Thread 1: 00000 00004 00006 00008 00010 09962 11594
     Thread 2:
     Thread 3: 01169 04698 06782 09033 10299 11561 21517 28734 29532
     Thread 4: 11574 11580 11583 11586
     Thread 5: 00020 09448 13954 14954 18954 20587 24973
     Thread 6:
     Thread 7: 18950
     ...
    
    Signed-off-by: Bhavesh Davda <bhavesh@vmware.com>
    Reviewed-by: Frank Rowand <frank.rowand@am.sony.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 18cd9775e55f7bb07f01cc5ef8b1f66fd9a4b318
Author: Bhavesh Davda <bhavesh@vmware.com>
Date:   Tue Oct 16 09:39:56 2012 -0700

    cyclictest: whitespace cleanup
    
    Cosmetic whitespace cleanup
    
    Signed-off-by: Bhavesh Davda <bhavesh@vmware.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 7667ff6946931558ff1c148c067faf34eba2bb5d
Author: Clark Williams <williams@redhat.com>
Date:   Thu Aug 30 15:53:35 2012 -0500

    add setup and call of tracemark function for breaktrace
    
    Add back call to the tracemark function but only if we're
    using the breaktrace option and only when we actually hit
    the breaktrace threshold.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 857cdd5320ce1f293f5dbcbec79cc8fe22b0bebf
Author: Clark Williams <williams@redhat.com>
Date:   Wed May 9 09:38:00 2012 -0500

    version bump to 0.84
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 81c42e0162412cb990354d1ccb9d60d0dc10b79c
Author: John Kacur <jkacur@redhat.com>
Date:   Wed May 9 16:03:03 2012 +0200

    rt-tests / cyclictest: Make cyclictest fail if it cannot run with requested priority.
    
    Currently if a non-root user requests a priority higher than the soft limit in
    /etc/security/limits.conf
    the call to sched_setscheduler will silently fail and the user will be running
    with priority of 0. Cyclictest will not complain, and display the
    requested priority resulting in seemingly poor results.
    
    The following patch fixes this by doing two things.
    
    1. If the requested priority is higher than the soft limit but lower than the
    hard limit, it will raise the soft limit to the requested priority.
    
    2. If the requested priority is higher than the hard limit, it will fail with a
    warning.
    
    The patch should not affect privileged users.
    
    Reported-by: Nicholas Mc Guire <der.herr@hofr.at>
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 683a326a12e75c6d4afc8b61cfe0cec5c8cb965b
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Thu May 3 12:48:48 2012 -0700

    rt-tests: printf format compile warning
    
    V2: use type casting instead of ugly constant in format string
    
    Fix printf format string to fix compile warning for ARM 32 bit target.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit e43bee01585e1407c48dc5ecc5f2be74737fd336
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Wed May 2 17:02:40 2012 -0700

    rt-tests: incorrect first latency value for --verbose option
    
    When the --verbose option is selected, the first value for each thread is
    incorrectly reported as zero.
    
    This is because when collecting the first value, the index into stat->values is
    incremented from zero to one before storing the value.  But when printing the
    values, the first value printed is stat->values[0], which has been initialized
    to zero.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit f4256bfde48fa269758633d79e722d50a431b314
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Tue May 1 19:34:13 2012 -0700

    rt-tests: Makefile get machinetype from compiler instead of uname
    
    Fix the machinetype check for cross-compiling.
    
    This has been tested on an x86_64  Fedora host for an x86_64 target and
    an ARM target.  Additional testing would be greatly appreciated.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Tested-by: Darren Hart <dvhart@linux.intel.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 3c14034e3dfd23aea9e830e7aa7be5f1acaa8410
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Tue May 1 19:45:44 2012 -0700

    rt-tests: cyclictest warn of interaction between '-a', '--smp', and '--numa'
    
    The '-a' option is always ignored if --smp or --numa is specified.  Fix the
    warning message to not depend on --smp or --numa occuring first.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Tested-by: Darren Hart <dvhart@linux.intel.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit b3593fbe8e18bb441a37d869282574784aa49e0b
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Tue May 1 19:45:00 2012 -0700

    rt-tests: cyclictest avoid unneeded warning
    
    Avoid annoying warning message when tracing is not requested and the debug
    file system is not available.
    
    The same test already protects against calling event_enable_all().
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Reviewed-by: Darren Hart <dvhart@linux.intel.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 0629f60b79cd8958b0abd01611374c814354b0b1
Author: Frank Rowand <frank.rowand@am.sony.com>
Date:   Tue May 1 19:44:17 2012 -0700

    rt-tests: cyclictest segfault with '-a'
    
    This fixes a segfault on ARM when the '-a' option is used.
    
    man sched_setaffinity says to use pthread_setaffinity_np() when using the
    POSIX threads API.
    
    Signed-off-by: Frank Rowand <frank.rowand@am.sony.com>
    Tested-by: Darren Hart <dvhart@linux.intel.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit d5c8f73345ea4cb5791b9f399ed7793231f0c73b
Merge: f2b344c958ec e6bca755b8af
Author: Clark Williams <williams@redhat.com>
Date:   Mon Mar 26 13:40:01 2012 -0500

    Merge remote-tracking branch 'jkacur/rt-tests-0.83-devel' into work
    
    Conflicts:
    	Makefile

commit f2b344c958ecaba7d305fc7c78147333adc3bbc4
Author: Clark Williams <williams@redhat.com>
Date:   Mon Mar 26 13:36:55 2012 -0500

    change cyclictest measurement thread to check returns and exit on error
    
    Start of an ongoing process to have error strategy where return is
    checked and if error, exit with appropriate status.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit c9870e6cbad0fbd8689e8b91b06e01c2f971bd82
Author: Clark Williams <williams@redhat.com>
Date:   Mon Mar 26 13:25:51 2012 -0500

    report number of samples written in hwlatdetect
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit e6bca755b8afef7edf5acd3fde1effa8d6d7e595
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Mar 23 02:07:16 2012 +0100

    install: Fix failed to create symbolic link hwlatdetect file exists
    
    The following build error can occur if you have done a previous make install
    
    if test -n "/usr/lib/python2.7/site-packages" ; then \
    	install -D -m 755 src/hwlatdetect/hwlatdetect.py /usr/lib/python2.7/site-packages/hwlatdetect.py ; \
    	ln -s /usr/lib/python2.7/site-packages/hwlatdetect.py "/usr/local/bin/hwlatdetect" ; \
    fi
    ln: failed to create symbolic link `/usr/local/bin/hwlatdetect': File exists
    make: *** [install] Error 1
    
    I initially wanted to fix the error by removing the symbolic link, with rm -rf
    but Andrew Burgess pointed out that you can just use the
    ln's -f (force) flag. I like that solution better.
    
    Suggested-by: Andrew Burgess <aab@cichlid.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 95f284274540252a8ca6b1c58816f82aa956c0d0
Author: Clark Williams <williams@redhat.com>
Date:   Fri Mar 23 09:34:30 2012 -0500

    Revert "cyclictest problem/bug as non-root"
    
    This reverts commit 64e635bc513a3a114729f86de7a87780b2737605.
    moving to the check-return-and-exit strategy
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 192a3adcd407fd0f6928333de6d4dd947796410a
Merge: 2819d683a317 3ff3300ba0dd
Author: Clark Williams <williams@redhat.com>
Date:   Fri Mar 23 09:18:47 2012 -0500

    Merge remote-tracking branch 'jkacur/rt-tests-0.83-devel' into work

commit 3ff3300ba0dd4027ec64c0ef0c00585e681a55ea
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Mar 23 02:07:16 2012 +0100

    install: Fix failed to create symbolic link hwlatdetect file exists
    
    The following build error can occur if you have done a previous make install
    
    if test -n "/usr/lib/python2.7/site-packages" ; then \
    	install -D -m 755 src/hwlatdetect/hwlatdetect.py /usr/lib/python2.7/site-packages/hwlatdetect.py ; \
    	ln -s /usr/lib/python2.7/site-packages/hwlatdetect.py "/usr/local/bin/hwlatdetect" ; \
    fi
    ln: failed to create symbolic link `/usr/local/bin/hwlatdetect': File exists
    make: *** [install] Error 1
    
    Fix the error by removing the symbolic link.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 6f2665250edf49194a4b383d0897050ee57c760d
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Mar 22 01:19:40 2012 +0100

    Move info, warn, and fatal functions to error.[ch]
    
    Move warning, error and fatal function to the error files.
    This is a first step in cleaning up rt-tests.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit fb7ef61416b6b191a5186a715e51792847de883c
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Mar 22 00:53:26 2012 +0100

    Makefile: Introduce a static library
    
    Introduce a static libray.
    Currently it contains the functions in rt-utils.c error.c and rt-get_cpu.c
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit d276bb4b2d75f847fc1719b8d42f12930ad3b2d2
Author: Darren Hart <dvhart@linux.intel.com>
Date:   Tue Mar 20 12:05:01 2012 -0700

    Makefile: Support user supplied CFLAGS and LDFLAGS
    
    Accept user supplied CFLAGS and LDFLAGS, overwriting the
    Makefile supplied versions. This can cause the build to
    fail if the user does not provide at least what the Makefile
    defines, but so be it.
    
    Signed-off-by: Darren Hart <dvhart@linux.intel.com>
    CC: Clark Williams <williams@redhat.com>
    CC: John Kacur <jkacur@redhat.com>
    CC: Denys Dmytriyenko <denis@denix.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 9eef81de2f8a0b16e183070a1ff7d1580d650fb3
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Mar 21 22:29:43 2012 +0100

    pi_stress: Check the status of sched_getaffinity
    
    Check the status of sched_getaffinity and exit upon error.
    
    CPU_ISSET only checks whether a cpu is in a mask, and not whether the
    mask is valid. Checking the status ensures we aren't working with garbage
    values.
    
    This also removes the warning from gcc about the status variable being unused
    as reported by Darren Hart.
    
    Reported-by: Darren Hart <dvhart@linux.intel.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit b52b383192e7a38e129ac0e10a361214721fcb83
Author: Steven Rostedt <rostedt@goodmis.org>
Date:   Wed Mar 21 13:06:43 2012 -0400

    rt-tests: Update rt-migrate-test to use ftrace infrastructure
    
    The rt-migrate-test in the rt-tests is still using the old logdev
    interface that requires the logdev patch. Ftrace has been introduced
    into mainline Linux since 2.6.27 and has many more features than logdev.
    The rt-migrate-test should interact with ftrace instead of logdev.
    
    Signed-off-by: Steven Rostedt <rostedt@goodmis.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit d7cd65d54c33f7ce57310d8d4df6178dc250c2d1
Author: John Kacur <jkacur@redhat.com>
Date:   Tue Feb 14 01:47:25 2012 +0100

    gitignore: differentiate between program names and directories
    
    Many rt-test programs including cyclictest have directories with the
    same name as the generated binaries. Tell .gitignore to only ignore
    the program names and not the directories by using a slash prefix.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 2819d683a31765c8f46e7e0a97cd6806516edc7a
Merge: 1d632c3bf9de 64e635bc513a
Author: Clark Williams <williams@redhat.com>
Date:   Mon Feb 13 12:37:49 2012 -0600

    Merge branch 'master' into work

commit 64e635bc513a3a114729f86de7a87780b2737605
Author: Nicholas Mc Guire <der.herr@hofr.at>
Date:   Fri Feb 10 12:57:21 2012 +0100

    cyclictest problem/bug as non-root
    
    HI !
    
     minor bug in cyclictest but potential causing confusion on cyclictest
     resuults when running as non-root user.
    
    Setup:
     if one sets the rtprio in /etc/security/limits.conf to something below
     prio max - like:
    
     @hofrat          hard    rtprio          10
     @hofrat          soft    rtprio          10
    
     but then starts cylictest with -p 80 cyclictest will not fuss and also
     display priority 80 (as it uses par->prio in print_stat) but effectively
     runs with prio 0 as the return value of sched_setscheduler is not being
     checked in timerthread), resulting in semingly bad scheduling jitter values.
    
     So maybe cyclictest should take the effective maximum schduling priority
     of the user and not the scheduling policy maximum. Not sur if the check
     in timerthread is actually really needed - but it should not hurt ither.
     patch below (against current git) at "works for me" quality.
    
    thx!
    hofrat

commit 1d632c3bf9deefbff733509b4fd0cad8ce4fa782
Merge: 15c6d81986b6 4803d56d394a
Author: Clark Williams <williams@redhat.com>
Date:   Thu Nov 10 22:53:02 2011 -0600

    Merge https://github.com/flosse/rt-tests into work

commit 15c6d81986b6b8efeaf3a5ddf37bf63ac8352dab
Author: Clark Williams <williams@redhat.com>
Date:   Thu Nov 10 22:50:37 2011 -0600

    [cyclictest] added priority spreading option --priospread
    
    Add option to spread priorities across measurement threads in
    decending order.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 4803d56d394a7ad0f03d5bd515cd2c56f887dfce
Author: Markus Kohlhase <mail@markus-kohlhase.de>
Date:   Mon Oct 24 04:05:26 2011 +0200

    added description from osadl.org

commit 5f1e84f8b015df3ff950056494134eca3f640d70
Author: Clark Williams <williams@redhat.com>
Date:   Mon Sep 26 14:53:10 2011 -0500

    version bump to 0.83
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit cb1540450329d745f528e38f54a4906dab91eb96
Author: Clark Williams <williams@redhat.com>
Date:   Mon Sep 26 14:49:36 2011 -0500

    Modified Makefile to be smarter about turning on/off NUMA compile
    
    Combined Uwe Kleine-König and Frank Rowand's suggestions into a
    Makefile modification that tries to be smart about turning on
    NUMA, while allowing it to be explicitly enabled/disabled via
    command line options
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit e1fab5b28076ec1f61601498f393c08a0cb817cd
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 21 09:37:38 2011 -0500

    version bump to 0.82
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 6ea14c157e192e9c79e1bbbcf9a6a07ca06eaa7e
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 21 09:37:15 2011 -0500

    fix print that causes histogram processing error in cyclictest
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 188f30ab405c79eba6c7b5d83368548c746af3c1
Author: Clark Williams <williams@redhat.com>
Date:   Tue Sep 20 15:37:05 2011 -0500

    version bump to 0.81
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 9f7bdd9961f22d770e3efb7ab392ec2c67ea9878
Author: Clark Williams <williams@redhat.com>
Date:   Tue Sep 20 15:34:20 2011 -0500

    cleaned up previous hack for using /dev/cpu_dma_latency
    
    Changed function name to set_latency_target() and added a
    command line argument to allow passing in values other than
    the default of zero microseconds.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 474528f69e89c471501da3c1f495fb813ea2b984
Author: Clark Williams <williams@redhat.com>
Date:   Tue Sep 20 13:44:01 2011 -0500

    version bump to 0.80
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 1310f57cfe4b65646ddaaea26ad5f2469e211757
Author: Clark Williams <williams@redhat.com>
Date:   Tue Sep 20 13:41:02 2011 -0500

    use latency trick to hold system in idle=poll for duration of cyclictest run
    
    Use the /dev/cpu_dma_latency power management interface to hold the
    system in idle=poll state while cyclictest is running. Look in the
    kernel documenation: Documentation/power/pm_qos_interface.txt for
    more information.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 3edea442f644c112f47e17f876ba06e986007653
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 15 09:41:16 2011 -0500

    version bump to 0.79
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 6c0c79b5152a6ad97b60915a008c023fff0da3bb
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 15 09:35:41 2011 -0500

    hackbench mods to work better under stress
    
    added a signal_worker routine to send individual SIGTERM's to
    worker threads (since sending via pid=0 seems to have issues).
    
    Also added the -F/--fifo option to change the main thread to a
    SCHED_FIFO realtime thread after creating the workers. This will
    allow the mangagement thread to run when there are tons of workers.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 69293365eb0c52686c493d7c88db8d91e5b01b3d
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 14 15:52:03 2011 -0500

    version bump to 0.78
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 7595c237b4b927386923a10a712f36ce5d5c20f3
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 14 15:49:39 2011 -0500

    modify signal handling logic and clarify mode
    
    Modify signal handling logic so main can't receive sigterm when
    reaping children
    
    Also added THREAD_MODE and PROCESS_MODE defines to use rather than
    bare constants 0 and 1.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit c25e679b69c1a7e2621738c94287d214bd3cf2e0
Author: Clark Williams <williams@redhat.com>
Date:   Fri Sep 9 16:54:01 2011 -0500

    version bump to 0.77
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit f82a965a6216946d4ddc8d9bf1dd544b186703af
Author: Clark Williams <williams@redhat.com>
Date:   Fri Sep 9 16:51:29 2011 -0500

    remove tracemark functions from cyclictest
    
    removed trace marking functions because they cause too much
    contention on multiprocessor systems.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit fda485332d2c203920d02450988afc564d3c99f3
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 7 16:26:37 2011 -0500

    version bump to 0.76
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 3209d3c634db739605c6d3fbd9ad55cb50d1f2df
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 7 16:25:02 2011 -0500

    add stat(2) shortcuts to mount_debugfs()
    
    Before trying to parse /proc/mount, check for existance of directories
    /sys/kernel/debug/tracing and /debug/tracing using stat(2).
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit aca74c66e53b884ecd9638a2be286794e0d43c40
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 7 16:23:31 2011 -0500

    modify /proc/sys/kernel/ftrace_enabled handling
    
    Only turn on ftrace_enabled if we're doing tracing that requires
    the function tracer. Don't turn it on for event-based tracing. Also,
    turn it off a the end of a run.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit ff044e71420ccaf066adc02d27df53edffc76b5b
Author: Clark Williams <williams@redhat.com>
Date:   Wed Sep 7 15:32:54 2011 -0500

    handle stupid systemd automount of debugfs
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 7c59bf385d7f03ccd324e6cb33a87b97593b7008
Author: Clark Williams <williams@redhat.com>
Date:   Fri Sep 2 11:10:06 2011 -0500

    version bump to 0.75
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit e19cbadffcb99236f3e98f9ec6a838804f143108
Author: Steven Rostedt <srostedt@redhat.com>
Date:   Thu Sep 1 22:44:38 2011 -0400

    allow tracemark() to take variable args
    
    Signed-off-by: Steven Rostedt <rostedt@goodmis.org>

commit da4956cbcaf7945554f30e4d3a9be09b1431b19a
Author: Steven Rostedt <srostedt@redhat.com>
Date:   Thu Sep 1 21:29:31 2011 -0400

    use interval on first loop instead of 1 second
    
    Use the interval given for the first loop instead of
    one second wait.
    
    Signed-off-by: Steven Rostedt <rostedt@goodmis.org>

commit ae357be2e8d48cc1fd14816a205d5f5f74007b40
Author: Steven Rostedt <srostedt@redhat.com>
Date:   Thu Sep 1 21:26:59 2011 -0400

    only check file descriptor in tracemark() function
    
    If the tracemark_fd is >= 0, then we know we can write to the
    trace_marker file. We only need to check that and not version of
    the kernel or anything else at every instance of calling tracemark().
    
    Signed-off-by: Steven Rostedt <rostedt@goodmis.org>

commit 8c1e851bfedd000a13a6faaee4cb775cda785b37
Author: Steven Rostedt <srostedt@redhat.com>
Date:   Thu Sep 1 21:21:47 2011 -0400

    do not touch tracing_thresh
    
    The -b argument is for stopping the cyclictest when it misses a wakup
    by that # microseconds. Setting the tracing_thresh causes the latency tracer
    to ignore any latency under tracing_thresh. These two meanings are completely
    agnostic to each other, and should not be the same. We want the max latency,
    that should be good enough. Not only those that are bigger than our missed
    deadline. That misses most of our traces that we want.
    
    Signed-off-by: Steven Rostedt <rostedt@goodmis.org>

commit 1f4e25c03767174ad441e78e49c1744741efff31
Author: Steven Rostedt <srostedt@redhat.com>
Date:   Thu Sep 1 18:35:42 2011 -0400

    Have -I and -P together also be -B
    
    -B is used to enable preemptirqsoff, but it also makes sense that one
    could use both -I and -P together for the same thing.
    
    Also rename the enum IRQPREEMPTOFF TO PREEMPTIRQSOFF to match the
    tracer it represents and avoid confusion.
    
    Signed-off-by: Steven Rostedt <rostedt@goodmis.org>

commit bd2a8da00b01bd9061890bb8bd196309cd28441a
Author: Steven Rostedt <srostedt@redhat.com>
Date:   Thu Sep 1 18:08:15 2011 -0400

    allow events for all tracers
    
    Events are available for all tracers, including function and latency
    tracers. Do not treat them as a tracer. The -E option is agnostic to
    the tracer options, and if it is set, then events will be enabled for
    any tracer that is also set. If it is set by itself, then events will
    be enabled with the nop tracer.
    
    Also, the nop tracer is set before setting any of the tracers. This
    makes the nop tracer the default as well as clears out the trace before
    running the test.
    
    Signed-off-by: Steven Rostedt <rostedt@goodmis.org>

commit ee95ac26879e79b88ecf56d4b35c3bb0e23a74d9
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 1 09:41:37 2011 -0500

    commit WIP for rostedt
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 3e55619c86c2604638c06c31c87881084f643274
Author: Clark Williams <williams@redhat.com>
Date:   Thu Aug 18 09:15:57 2011 -0500

    version  bump to 0.74
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 39451cc083b27f706659590ccb316358846c2104
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Thu Aug 18 09:05:25 2011 -0500

    fix possible buffer overflow in string handling
    
    strncat writes up to n+1 chars when n is passed as 3rd argument.  So when
    doing
    	strncpy(filename, fileprefix, sizeof(filename));
    	strncat(filename, name, sizeof(filename) - strlen(fileprefix));
    
    with strlen(fileprefix) + strlen(name) >= sizeof(filename) a buffer
    overflow occurs.  Addionally there is no check if filename is big enough.
    
    So convert to memcpy and handle filename not being big enough.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 21a11149ac03ab0bdc6174904e869c2e5524376c
Author: Clark Williams <williams@redhat.com>
Date:   Thu Aug 18 09:02:24 2011 -0500

    added files to git repo
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 10f6a855f1233fefc10179fa652b9d20ef6dc279
Author: Clark Williams <williams@redhat.com>
Date:   Fri Aug 12 13:44:18 2011 -0500

    update cyclictest to handle 3.0-rt as well is update ftrace
    
    reworked the kernel versioning logic to handle the 3.0 kernel
    and update the ftrace logic to deal with changes to the
    debugfs tracing directory.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 8824256e362b8d59a69a9ef8bf483c458850057b
Merge: cea67f47fae1 f26dbd8adcc7
Author: Clark Williams <williams@redhat.com>
Date:   Tue Aug 9 11:27:12 2011 -0500

    Merge remote-tracking branch 'jkacur/rt-tests-dev-new' into work

commit f26dbd8adcc7f9888d06a4963e8fe9e1ca497a15
Author: John Kacur <jkacur@redhat.com>
Date:   Fri May 13 12:52:48 2011 +0200

    Minor Fix-ups
    1. Make the function header style consistent with the rest of cyclictest.
    2. Spelling clean-ups.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit cea67f47fae1e11579ab6a96d105f9b30360f0db
Author: Clark Williams <williams@redhat.com>
Date:   Thu May 12 10:16:06 2011 -0500

    fixed spelling error in printf
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 591bd2b407169409c2d9d3b4fed41d9c85a315a5
Author: Clark Williams <williams@redhat.com>
Date:   Mon May 9 12:21:33 2011 -0500

    fixed BuildRequires in specfile for Python
    
    Need python to be able to correctly install hwlatdetect.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 81da016fb0f6ab0511fbec81fc8ba1a50398a20d
Author: Clark Williams <williams@redhat.com>
Date:   Mon May 9 10:52:43 2011 -0500

    version bump to 0.73
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 809f870eb8c0bac98f80eaca04f4ea55d094a14f
Author: Clark Williams <williams@redhat.com>
Date:   Thu May 5 13:44:09 2011 -0500

    hackbench: add setjmp/longjmp and rework signal handling logic
    
    Use setjmp/longjump to get the parent process back out of processing
    loop and into forced kill mode for the child processes/threads.
    Added function reset_worker_signals() so that workers (sender and
    receiver) don't try to reap as well.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 02da29f4508f18b760af4d163b4a92ee90106152
Author: Geunsik Lim <leemgs1@gmail.com>
Date:   Wed May 4 15:42:00 2011 -0500

    cyclictest: Fixed incorrect wakeup reset interface
    
    When we try to run ftrace with cyclictest command of rt-test,
    We view the error according to different kernel version.
    We need to modify this hard coded interface.
    
    * Directory name of each kernel version
    2.6.24.7-rt23     /sys/kernel/debug/tracing/latency_hist/wakeup_latency/reset
    2.6.31-rc9-rt9.1  /sys/kernel/debug/tracing/latency_hist/wakeup/reset
    2.6.33.7.2-rt30   /sys/kernel/debug/tracing/latency_hist/wakeup/reset
    
    * parsing verification: ./linux-2.6/scripts/checkpatch.pl  --> OK
    
    Signed-off-by: Geunsik Lim <geunsik.lim@samsung.com>
    Reviewed-by: John Kacur <jkacur@redhat.com>
    Reviewed-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 895dd8394613e2a969589313c0d2894c1fdba00f
Author: Wolfram Sang <w.sang@pengutronix.de>
Date:   Wed May 4 15:39:16 2011 -0500

    Simplify Makefile using -D option to install
    
    install can also create directories with -D
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit f833b0949f39be96ed1f7e3c6b37b091f52491b0
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Wed May 4 15:33:16 2011 -0500

    add histogram summary column option (-H) to cyclictest
    
    To compare histograms of several SMP machines or to gain an
    overview when cyclictest is running more than a single thread,
    an overall histogram is required that contains a summary of
    the individual thread latencies.
    
    This patch adds this functionality and introduces the new
    option -H/--histofall for this purpose.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 4681c81debd1aa204a0f3bad4baa859700dd48ca
Author: Daniel Sangorrin <daniel.sangorrin@gmail.com>
Date:   Wed May 4 15:04:41 2011 -0500

    fix sched_setaffinity type error when building with UCLIBC
    
    Change type of faux sched_setaffinity to match headers.
    Also add additional report info when dumping histogram.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit a5693cc7854fbb5a60931407440a53f2efd81dc1
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Thu Jul 1 06:32:00 2010 +0200

    install backfire's Makefile
    
    Only installing backfire.c hardly makes sense.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit 94f60c4138b817df9385e056f661e2fcabced18c
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Thu Jul 1 06:31:55 2010 +0200

    modernize backfire's Makefile
    
    - don't rely on non-standard envvar PWD, use make's CURDIR instead
    - allow overwriting KERNELDIR
    - less repetition by conflating targets
    - explicitly differentiate between kbuild and ordinary make part
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit 886d26833d637ab778023626a158061e4eb9c5d0
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 25 16:16:46 2010 -0500

    version bump to 0.72
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit e4c7a0753cbcefec45f3bfd939528baf1643c3fc
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 25 16:10:40 2010 -0500

    convert convert 'unsigned long long' and 'long long' to uint64_t and int64_t
    
    Cleanup spurred by need to make the 'diff' variable in timerthread() to
    be unsigned and 64-bits (rather than a signed 32-bit).
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit a3194e71ef314ee6fb86577e2c13ea6a9a5dcd64
Author: Clark Williams <williams@redhat.com>
Date:   Mon Jun 14 14:50:02 2010 -0500

    added --numa option to cyclictest man page
    
    Documented the --numa mode option to cyclictest in the man page.
    Also updated the command summary to include the short options for
    the --smp and --numa modes (-S and -U).
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 9a0525c5b124cb7cd2e39f5c03ce488caa63c3df
Author: Clark Williams <williams@redhat.com>
Date:   Tue May 18 12:37:56 2010 -0500

    version bump to 0.71
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 1b3f408a337098ae92da9bd02cb0071745a34832
Author: Michal Schmidt <mschmidt@redhat.com>
Date:   Mon May 10 14:23:50 2010 +0200

    cyclictest: fix accumulating overruns in periodic timer mode
    
    When using a POSIX interval timer and an overrun occurs, a signal is always
    lost. From then on cyclictest would report all measurements as increased by
    N*period (where N is the number of overruns).
    
    cyclictest can detect the overruns and adjust the expected time of the next
    tick accordingly.
    
    Reported-by: Marti Raudsepp <marti@juffo.org>
    Signed-off-by: Michal Schmidt <mschmidt@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 9d503b107dedeeb8b3f7e2757745b24128e85d90
Author: Clark Williams <williams@redhat.com>
Date:   Fri Apr 9 13:56:15 2010 -0500

    version bump to 0.70

commit 691f7a82fb68ddd17071ddabe68daba0cf0762d4
Author: Olaf Hering <olaf@aepfle.de>
Date:   Fri Apr 9 13:52:13 2010 -0500

    skip python dependency in rt-tests make install
    
    If python is not available on the target, skip the
    hwlatdetect.py installation with:
    	make PYLIB= DESTDIR=/some/dir install
    Create PYLIB during make install with DESTDIR set
    Also, the second bindir should probably be srcdir.
    
    Signed-off-by: Olaf Hering <olaf@aepfle.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 7142b67d8f560a7a65d16cd97d0266e59eae9616
Author: Clark Williams <williams@redhat.com>
Date:   Fri Apr 9 13:30:29 2010 -0500

    version bump to 0.69

commit d6c4ab8698926a0bac6eae2bc9c563d6fd3103b9
Author: Clark Williams <williams@redhat.com>
Date:   Fri Apr 9 13:06:33 2010 -0500

    default cyclictest to SCHED_OTHER; clean up help message
    
    After much thought, I decided to keep cyclictest's default scheduling
    policy as SCHED_OTHER. My rationale is that if you don't specify a
    priority on the command line you get the priorityless policy. If you
    do specify a priority but no specific RT policy, we'll default to
    SCHED_FIFO. So to get SCHED_RR you have to specify priorty and policy
    name, for example:
    
    	# cyclictest --priority=90 --policy=rr
    
    Yes, I realize that the vast majority of users will run it with a
    realtime priority, but I just don't like picking a priority if it
    wasn't specified. If you want a realtime policy, specify a priority.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit ba12344ecb211627fdbb303d68ac6757d54d71d5
Author: Clark Williams <williams@redhat.com>
Date:   Fri Apr 9 13:05:37 2010 -0500

    added pmqtest to .gitignore

commit 663bd628f5bd469b8cb3c4748f9ef24592aa6641
Author: Clark Williams <williams@redhat.com>
Date:   Thu Apr 1 15:48:34 2010 -0500

    fix bus error when in numa mode with more than 16 cores
    
    The call numa_node_to_cpus() in rt_numa_numa_node_of_cpu()
    was failing because the cpumask buffer size was only 16 bytes
    and it seems to require 32.  Change the declaration to be 256
    just for paranoia's sake.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit f37d47179d8e9ef2dad51b959676215d8cb83ad3
Author: Clark Williams <williams@redhat.com>
Date:   Thu Apr 1 14:11:33 2010 -0500

    replace nanosleep with clock_nanosleep in pmqtest
    
    Since it's doing relative time sleeps probably not an issue, but
    move to clock_nanosleep(CLOCK_MONOTONIC, 0,...) to be clear.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 5b346bd9e812e03b22c7a81212a84f7d6e20eee0
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Thu Apr 1 13:39:43 2010 -0500

    Add pmqtest program
    
    This patch adds the program pmqtest to the rt-tests suite.
    The test mechanism is the same as in ptsematest, svsematest
    and friends, but it uses message queues to synchronize the
    test threads. To test the - now hopefully fixed - kernel
    problem that occurred when a timeout was specified, the
    -T option is available.
    
    On an 8-way machine, the test result may look like:
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit c9c0e4e3ad5faa2fe3c3366b4135d0daf8b2a8fb
Author: Clark Williams <williams@redhat.com>
Date:   Thu Apr 1 13:35:42 2010 -0500

    fixed typo in cyclictest.8 man page
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 92f3c57a50d634b4e13a281fe604a870a18c1d77
Author: Clark Williams <williams@redhat.com>
Date:   Fri Mar 19 14:44:33 2010 -0500

    version bump to 0.68
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit ffebccf9f9b9df6803a50d3e4aba0aacba0d6e3e
Author: Clark Williams <williams@redhat.com>
Date:   Fri Mar 19 14:39:44 2010 -0500

    handle ftrace difference between 2.6.24 and 2.6.33
    
    Somewhere between 2.6.24 and 2.6.33, the tracing_on field was
    added to the debugfs tracing dir. If it exists use it to turn
    tracing on and off; if not use tracing_enabled.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 2ef575b81b0c267216398cc537b5e1a3c3129c7b
Author: Clark Williams <williams@redhat.com>
Date:   Tue Mar 16 16:14:11 2010 -0500

    version bump to 0.67
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 95c65d4c0043a964a7c5ecf0b5a076bf25df3d86
Merge: afb31fb21d3e 7f19bd8a3131
Author: Clark Williams <williams@redhat.com>
Date:   Tue Mar 16 15:54:01 2010 -0500

    Merge branch 'work' into temp
    
    Conflicts:
    	.gitignore
    	Makefile

commit 7f19bd8a31312f16d83c2302ff618aa5ccff0a1d
Author: Clark Williams <williams@redhat.com>
Date:   Tue Mar 16 15:41:01 2010 -0500

    added hackbench executable to ignore targets in .gitignore
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit ba15a4ab82a21130a981d1229ac5759cdf8288dc
Author: Clark Williams <williams@redhat.com>
Date:   Tue Mar 16 15:38:53 2010 -0500

    reword rpm %description field for clarity (BZ# 572323)
    
    Changed description field to be more descriptive
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit d61850a9f0ad4e84f105393003640163a8377c59
Author: Clark Williams <williams@redhat.com>
Date:   Tue Mar 16 15:36:39 2010 -0500

    modifications to ftrace logic for correct operation
    
    Change enable/disable file to be tracing/tracing_on; enable the
    options/latency-trace format for function tracing; add tracetype
    CUSTOM for use with the -T/--tracer option.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 5860be7f4db454cfd5131813cbbe42a9a4fcd8b7
Author: Clark Williams <williams@redhat.com>
Date:   Wed Mar 10 10:45:42 2010 -0600

    cyclictest - fixed missing ':' in option processing string for -T option
    
    the -T option (set tracer) option was missing a ':' for to indicate
    that it required an argument.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit afb31fb21d3e89cde47d069b622aaada454d6654
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Sun Mar 7 21:48:02 2010 +0100

    add-smp-option-to-svsematest.patch
    
    Add SMP testing option (-S, --smp) to svsematest, same as in
    cyclictest.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Acked-by: John Kacur <jkacur@redhat.com>

commit cd34b8b1728a5eaab9a1926fc42383f73e42f2f8
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Sun Mar 7 21:48:01 2010 +0100

    add-smp-option-to-ptsematest.patch
    
    Add SMP testing option (-S, --smp) to ptsematest, same as in
    cyclictest.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Acked-by: John Kacur <jkacur@redhat.com>

commit f02c5d5ad010ba3a5bdf54d400bbe4b7a81101bd
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Sun Mar 7 21:39:57 2010 +0100

    remove-incorrect-options-from-smp-help-message-in-cyclictest.patch
    
    The help message of cyclictest's -S option says that it equals -a -t -n -m -d0.
    In reality, it only equals -a -t -n.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Acked-by: John Kacur <jkacur@redhat.com>

commit 7dd5ce77096972beeada84450496eb3489e3e38f
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Mon Mar 8 09:37:50 2010 +0100

    fix-policy-display-for-cyclictest.patch
    
    If the policy is forced to SCHED_OTHER, since the priority no longer
    fits into the SCHED_FIFO or SCHED_RR range, the policy display of
    cyclictest is somewhat incorrect.
    
    Display all policies.
    
    Also make the variable policystr static; the condition
    "if (!policystr)" is useless, otherwise.
    
    In addition, place the priority logic before decrementing the priority;
    a priority of 1 is incorrectly made SCHED_OTHER, otherwise.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Acked-by: John Kacur <jkacur@redhat.com>

commit 1263ebde632899a399b59ee8eec926bb81199122
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Mar 8 02:02:13 2010 +0100

    cyclictest: Make the default scheduling policy SCHED_FIFO
    
    The default scheduling policy if unspecified should be SCHED_FIFO.
    
    Before the change for example.
     sudo ./cyclictest
     policy: other: loadavg: 0.05 0.04 0.05 1/331 22367
    
     T: 0 (22367) P: 0 I:1000 C:   1321 Min:     14 Act:   89 Avg:   77 Max:     942
    
    After the change
     sudo ./cyclictest
     defaulting realtime priority to 2
     policy: fifo: loadavg: 0.03 0.04 0.05 2/331 22387
    
     T: 0 (22387) P: 2 I:1000 C:    713 Min:     17 Act:   41 Avg:   81 Max:     161
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit ce8c59023206ae409d28abdb3f6f3384ca825431
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Mar 8 01:45:35 2010 +0100

    cyclictest: Fix spelling mistake in the man page.
    
    	- In the -mlockall section, change "an" to "and"
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit e12de2f0629c0bedc8e8a9b52bc4fcb68f320a77
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Mar 8 01:38:49 2010 +0100

    cyclictest: Use symbolic names for scheduling policy
    
    - Use symbolic names for scheduling policies, that is, don't assume
    	SCHED_RR is 2, use SCHED_RR instead, and so on.
    
    - Fix the logic in handlepolicy(char *polname)
    	- remove the test with the unreachable line,
    	- make the default SCHED_FIFO if we don't recognize the
    	requested policy.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 6fb5b9cd9099112ee7bc091a78aa8d0274c5fdad
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Mar 8 01:06:29 2010 +0100

    Revert "simplify equal priority logic for cyclictest"
    This reverts commit 582be2a52c43801a10d318de7491f1cc7243d5cf.
    
    Unfortunately this commit introduces a bug because the priority is not
    retested, and this can result in reported priorities below 0.
    For example,
    
    sudo ./cyclictest -t3 -p1
    policy: fifo: loadavg: 0.09 0.06 0.05 1/331 21732
    
    T: 0 (21730) P: 1 I:1000 C:    593 Min:     34 Act:  155 Avg:  100 Max:     672
    T: 1 (21731) P: 0 I:1500 C:    395 Min:     15 Act:   43 Avg:   72 Max:     853
    T: 2 (21732) P:-1 I:2000 C:    297 Min:     21 Act:   57 Avg:   79 Max:     330
    
    Notice that the last priority is reported as -1.
    
    After reverting this commit, we get the correct expected behaviour.
    
    sudo ./cyclictest -t3 -p1
    policy: fifo: loadavg: 0.07 0.05 0.04 2/330 21754
    
    T: 0 (21752) P: 1 I:1000 C:  11600 Min:     13 Act: 7072 Avg: 3593 Max:    7841
    T: 1 (21753) P: 0 I:1500 C:   7737 Min:     12 Act: 1572 Avg:  516 Max:    2381
    T: 2 (21754) P: 0 I:2000 C:   5804 Min:     12 Act:   53 Avg:   59 Max:     548
    
    I think it can be argued that the original code is also clearer, although
    that is somewhat subjective. With the original code I don't need to track
    down exactly what "sameprio" means, and it is clear what is being tested.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 6214410e57d8be054ee58ecdc53cbc4803a3627b
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Mon Mar 1 17:51:15 2010 +0100

    rename pip to pip_stress as pip is too general
    
    The command name is already taken by a perl script working with CPAN
    and a Python package installer.
    
    While at it remove trailing whitespace from three lines in
    src/pi_tests/pip_stress.c.
    
    Closes: http://bugs.debian.org/572104
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit d2b6363c8b396dca09f9f61a171c39195411c043
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Wed Feb 24 17:58:08 2010 +0100

    Makefile: don't use temporary files in generation of dependency files
    
    These temporary files were a real problem when creating the Debian
    package for rt-tests.  debhelper (a generic suite of scripts to ease
    packaging) did something like:
    
    	perl -c 'close(STDERR); exec("make distclean");'
    
    which leaked the *.d.$$ files and then wailed that the package contained
    untracked changes to the vanilla source.  See
    http://bugs.debian.org/570443 for some more details.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Acked-by: John Kacur <jkacur@redhat.com>

commit de3d4d2539f365dc56e6b216cefe076d694c1f80
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Wed Feb 24 17:58:07 2010 +0100

    install backfire.c to $(srcdir)/backfire/
    
    Acked-by: John Kacur <jkacur@redhat.com>

commit 84367c8e0716ab36bad314562ff7d3f934da1c26
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Wed Feb 24 17:58:06 2010 +0100

    trivial: s/specifed/specified/
    
    Acked-by: John Kacur <jkacur@redhat.com>

commit 4dec55015c7fa642e960af084376af09c33b7068
Author: Clark Williams <williams@redhat.com>
Date:   Wed Feb 24 15:20:34 2010 -0600

    fix stupid typo in %changelog date

commit 6fc24e1719bbaf7afb9aec1921bc7ba220429b2d
Merge: 2afa6340dcc4 0fbe09d46cbb
Author: Clark Williams <williams@redhat.com>
Date:   Wed Feb 24 15:07:50 2010 -0600

    Merge remote branch 'uwe/for-clark' into work

commit 2afa6340dcc492b0a70683c96fea6ec31189f54f
Author: Clark Williams <williams@redhat.com>
Date:   Wed Feb 24 15:07:19 2010 -0600

    added hackbench manpage installation bits
    
    Added hackbench.8 installation to both Makefile and specfile
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 24cc3c0830d7437609dae17d343e7941d7893532
Merge: 19b274dbf59f bd43983e3660
Author: Clark Williams <williams@redhat.com>
Date:   Wed Feb 24 10:47:19 2010 -0600

    Merge remote branch 'davids/master' into work

commit bd43983e36605481f3732925d8bc0d3eb0557d4b
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Feb 24 17:29:46 2010 +0100

    Updated hackbench man page with some examples and some extra details re. fds

commit 0fbe09d46cbbe05fdc19b6b8b155ebcc1448f33d
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Wed Feb 24 17:22:15 2010 +0100

    Makefile: don't use temporary files in generation of dependency files
    
    These temporary files were a real problem when creating the Debian
    package for rt-tests.  debhelper (a generic suite of scripts to ease
    packaging) did something like:
    
    	perl -c 'close(STDERR); exec("make distclean");'
    
    which leaked the *.d.$$ files and then wailed that the package contained
    untracked changes to the vanilla source.  See
    http://bugs.debian.org/570443 for some more details.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit a893258ef92ceaa2eb483525650f708e5e6a7c85
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Wed Feb 24 16:51:11 2010 +0100

    install backfire.c to $(srcdir)/backfire/
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit 19b274dbf59f3b02d86044ce833105685df08e4c
Merge: 61482066d526 94d8566d6cca
Author: Clark Williams <williams@redhat.com>
Date:   Wed Feb 24 09:36:13 2010 -0600

    Merge remote branch 'davids/master' into work

commit 94d8566d6ccaf090ad44611a6f99a3b540798029
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Feb 24 16:26:13 2010 +0100

    hackbench - Taken out the runit.pl script
    
    We don't need to ship that, and Craig Thomas wrote only that code as far
    as we know, so taking him out of man page as well.

commit 1bb501caeb0c98c58d71bacfe904c89f798bb2cb
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Feb 24 16:04:47 2010 +0100

    hackbench, man page: Added another contributor and a brief history of hackbench

commit fb278a79b5c4681e6c62ac4ef355ffe5a87b28ff
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Feb 24 14:42:24 2010 +0100

    man page, hackbench - Corrected wrong spelling

commit 0ece6f784bc1c7628904e9c8bf71312b5cdb7a40
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Feb 24 13:50:46 2010 +0100

    Updated man page for hackbench

commit 61482066d5261c1ce76f8e504544b03c2544b6cd
Merge: 2359346741c3 4b563630e61f
Author: Clark Williams <williams@redhat.com>
Date:   Tue Feb 23 13:48:05 2010 -0600

    Merge remote branch 'davids/master' into work

commit eba5ee5e6964e34be132e6da34431dc4c5b2ad27
Merge: 4b563630e61f 2359346741c3
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 17:40:26 2010 +0100

    Merge remote branch 'origin/work'

commit 4b563630e61f864f6591b0334a64406a98df606f
Merge: 4e37a2b689fc b0aad1d13c17
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 17:38:25 2010 +0100

    Merge remote branch 'dsommers/master'
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 4e37a2b689fc0d081e41ca656be48aba53ff350b
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 15:02:48 2010 +0100

    Added signal handling in hackbench
    
    When receiving SIGINT or SIGTERM, it will now reap all worker
    threads/processes and properly stop them.

commit f273b4bd85fe7d8561bf8c9030b6a9d8bb8b8e9f
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 11:34:14 2010 +0100

    hackbench: Implemented getopt
    
    Improved argument/option handling by using getopt_long().  Made more of the
    parameters tunable as well.  Hackbench now accepts the following arguments:
           -P | --pipe          Use pipe
           -s | --datasize      Number of bytes to pass from sender to receiver
                                   (default 100 bytes)
           -l | --loops         Number of messages each sender will send
                                   (default 100 rounds)
           -g | --groups        Number of groups with sender/receivers
                                   (default 10 groups)
           -f | --fds           Number of file descriptors each group will use
                                   (default 20*2)
           -T | --threads       Run using pthreads
           -P | --process           Run using fork()
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit faa1f165c46d6573c62e046c75c59904dd8cdda9
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:49:29 2010 +0100

    (code cleanup) Tabified lines which was not tabbed
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 5fd7c301eb7574a9fbe25cf1232867003899ee16
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:47:13 2010 +0100

    Simplified and improved error logging, clarified some messages
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit ba166b6415b71090c7b3805ad539cbeea13612ee
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:39:59 2010 +0100

    Fixed a memory leak, receiver contexts not getting freed upon exit
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit ad27df7b940e04e0ee6064e77e603c87e2dd70ee
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:35:48 2010 +0100

    Reimplement better child tracking and improve error handling
    
    This does much what earlier commits did before hackbench got updated
    to the latest version in the previous commit.
    
    Consider the following commits being "forward ported", feature wise:
    4c39eff2136c39b3c2746ca293eed5b5242aea52
    0a72fcaade064b70b698aab676217f28681280ff
    fbd80c495bd861545713279d5f96f1e4770d6911
    bd588c92b8bae59e3404fc3c90283e98c9f0a96e
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 310dd41438484bc9a332ff9d1e097ab1b37ff12f
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:22:14 2010 +0100

    Updated hackbench to lastest version available
    
    Downloaded from http://people.redhat.com/mingo/cfs-scheduler/tools/hackbench.c
    February 19 2010.
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 2359346741c39f97b98f36cd4bfe0e4f01635edf
Author: Clark Williams <williams@redhat.com>
Date:   Tue Feb 23 10:27:08 2010 -0600

    added hackbench.8 manpage framework
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 98a082ca9f0349aab53dce4a4808c31e8f8dd4b0
Merge: fae4312eb2d4 b0aad1d13c17
Author: Clark Williams <williams@redhat.com>
Date:   Tue Feb 23 09:56:57 2010 -0600

    Merge remote branch 'davids/master' into work

commit b0aad1d13c179da43e9d873cd89ee6b351135b37
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 11:34:14 2010 +0100

    hackbench: Implemented getopt
    
    Improved argument/option handling by using getopt_long().  Made more of the
    parameters tunable as well.  Hackbench now accepts the following arguments:
           -P | --pipe          Use pipe
           -s | --datasize      Number of bytes to pass from sender to receiver
                                   (default 100 bytes)
           -l | --loops         Number of messages each sender will send
                                   (default 100 rounds)
           -g | --groups        Number of groups with sender/receivers
                                   (default 10 groups)
           -f | --fds           Number of file descriptors each group will use
                                   (default 20*2)
           -T | --threads       Run using pthreads
           -P | --process           Run using fork()
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 92c53f9db3ac4cd7c165bbcb5b84b387ab5aaa09
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:49:29 2010 +0100

    (code cleanup) Tabified lines which was not tabbed
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 51a6e573598bac8c576c8c261f084a199fd34b44
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:47:13 2010 +0100

    Simplified and improved error logging, clarified some messages
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit d5ae77c4afe4f77ca590d1d7edf4b2457e92760d
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:39:59 2010 +0100

    Fixed a memory leak, receiver contexts not getting freed upon exit
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 2ff7b647b223e80ba358e1181a258ba964b83fcf
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:35:48 2010 +0100

    Reimplement better child tracking and improve error handling
    
    This does much what earlier commits did before hackbench got updated
    to the latest version in the previous commit.
    
    Consider the following commits being "forward ported", feature wise:
    4c39eff2136c39b3c2746ca293eed5b5242aea52
    0a72fcaade064b70b698aab676217f28681280ff
    fbd80c495bd861545713279d5f96f1e4770d6911
    bd588c92b8bae59e3404fc3c90283e98c9f0a96e
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit a0e5fa847d03371a583e60f62f5fbae1ea932491
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Feb 23 10:22:14 2010 +0100

    Updated hackbench to lastest version available
    
    Downloaded from http://people.redhat.com/mingo/cfs-scheduler/tools/hackbench.c
    February 19 2010.
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit bd4cd378a2d863d24bbe30829d8a9cdb063561e4
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Mon Feb 22 21:56:49 2010 +0100

    trivial: s/specifed/specified/
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit fae4312eb2d4cc9022d74053a451b666917c132b
Author: Clark Williams <williams@redhat.com>
Date:   Fri Feb 19 09:52:50 2010 -0600

    added hackbench to specfile
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 69ef7d4835a6d196826ac24ddeb1f86ef9602971
Author: Clark Williams <williams@redhat.com>
Date:   Thu Feb 18 14:36:44 2010 -0600

    added hackbench target
    
    added makefile targets for hackbench scheduler benchmark
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit bd588c92b8bae59e3404fc3c90283e98c9f0a96e
Author: David Sommerseth <davids@redhat.com>
Date:   Thu Feb 18 15:51:10 2010 +0100

    Fixed a few compiler and valgrind warnings
    
    Valgrind complained about usage of non-initialised data.  The compiler
    complained about the out_fds argument being unsigned int when calling
    sender().
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit fbd80c495bd861545713279d5f96f1e4770d6911
Author: David Sommerseth <davids@redhat.com>
Date:   Thu Feb 18 15:43:48 2010 +0100

    Re-implement WIFEXITED() check on all children
    
    Instead of just exiting immediately the original version did, we now
    count how many children who failed to exit properly and report it.
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 0a72fcaade064b70b698aab676217f28681280ff
Author: David Sommerseth <davids@redhat.com>
Date:   Thu Feb 18 15:32:58 2010 +0100

    Fix waitpid() implementation
    
    In commit 4c39eff2136c39b3c2746ca293eed5b5242aea52 a new approach for tracking
    each child was implemented.  But this implementation ignored the fact that each
    group() call creates 2*num_fds children.
    
    This patch refactors the previous attempt and will now track absolutely all
    children.  If fork() fails when called in group(), all spawned children will
    now also be killed explicitly.
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 4c39eff2136c39b3c2746ca293eed5b5242aea52
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Feb 17 19:09:46 2010 +0100

    hackbench: Wait for each child explicitly by using waitpid()
    
    Quite often it's experienced in rteval that hackbench leaves some children
    as zombies during closure.  This is an attempt to keep an overview of the
    status of each child separately.  It's solved by having an array with all
    sender and reciever children's pids and calling waitpid() on each of these
    children pairs.
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit f79ca322df15aa258866ccaacacd463c47ec0ca5
Author: David Sommerseth <davids@redhat.com>
Date:   Wed Feb 17 19:08:44 2010 +0100

    Imported hackbench from rteval-1.18 (rteval-loads-1.0.1)
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 73d48f4e04684a376b41525bfed030b7671f03f7
Author: Clark Williams <williams@redhat.com>
Date:   Mon Feb 15 13:10:58 2010 -0600

    version bump to 0.66
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 527835d9636163596eedf1e8cdd6ed3fad0fbecc
Author: Clark Williams <williams@redhat.com>
Date:   Mon Feb 15 12:58:32 2010 -0600

    Fix incorrect usage of sched_setscheduler() in check_privs()
    
    Fix code in check_privs() that passes NULL as parameter
    to sched_setscheduler().
    
    Reported-by: Peter Zijlstra <peterz@infradead.org>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 398445bc3705b702238f711f73c58cff364c7153
Author: Clark Williams <williams@redhat.com>
Date:   Mon Feb 8 15:37:41 2010 -0600

    version bump to 0.65
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 1e781f5634904789b4e3a45e432c85a94fdc0a82
Author: Clark Williams <williams@redhat.com>
Date:   Mon Feb 8 15:31:57 2010 -0600

    [hwlatdetect] workaround for borken smi_detector.ko module
    
    Add a workaround to hwlatdetect to deal with a broken block of
    code in drivers/misc/smi_detector.ko, where whenever you enable
    the module (write a 1 to debugfs/smi_detector/enable) the stats
    initialization routine resets the threshold from whatever it was
    set to to 1us. This workaround checks the threshold after enabling
    the module and resets it to what we want.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 7635870be8d1be2dc08e56f91497db940b757d21
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jan 29 15:22:52 2010 -0600

    version bump to 0.64
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 0dea069418a63bbd64bc9dc2a096478621df849c
Author: John Kacur <jkacur@redhat.com>
Date:   Fri Jan 29 22:06:05 2010 +0100

    rt-tests: Ignore dependency files *.d in git
    
    Ignore dependency files *.d ing git.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 88449adc30a86e3d2fb8afe2b4d4b49590b89276
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Jan 27 21:12:06 2010 +0100

    rt-tests: Automatically generate dependencies.
    
    Automatically generate dependencies. This will tell the make file that
    cyclictest is dependent on rt_numa.h for example, and that if a change
    is made there, then cyclictest needs to be remade.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit db54b6152ac64f4ae220bb7eda78a29c2049b7c8
Author: John Kacur <jkacur@localhost.localdomain>
Date:   Wed Jan 27 20:17:15 2010 +0100

    rt-tests: Fix some style problems, such as spaces instead of tabs.
    
    Fix some style problems, such as spaces instead of tabs, trailing spaces,
    spaces required before }
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 522560b82f0b6e138d9fd7fcecc2d90d1b8fbf5f
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Jan 27 19:47:03 2010 +0100

    rt-tests: Remove the ret variable, the end label and the goto.
    
    Remove the ret variable, the end lable and the goto. We already have
    inconsistent exit points for the function, and the end lable wasn't strictly
    for errors. Directly returning simplifies and shortens the code.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 51dfab754a398581b19dd98ed26be9e7f0d28ddd
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Jan 27 19:42:50 2010 +0100

    rt-tests: Separate the #ifdef LIBNUMA_API_VERSION functions.
    
    Separate the #ifdef LIBNUMA_API_VERSION of function rt_numa_numa_node_of_cpu,
    it is slightly cleaner this way.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 29c4f544fb4028690320b3aa07434a54943f9d37
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Jan 27 19:38:15 2010 +0100

    rt-tests: Add header including copyright notice to rt_numa.h
    
    Add a header which includes a copyright notice to rt_numa.h for cyclictest.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 94839e793eb11742c4faf25b4e0fc62babe52f02
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 27 10:11:22 2010 -0600

    fix missing BuildRequires for numactl-devel
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 9306dab4990879f22fc7f2df9ead2e1f4e2ee83d
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 27 09:51:02 2010 -0600

    version bump to 0.63
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit fedb3c7bc5a5a1ac28dc88281e96f906191a9f2b
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jan 26 22:31:58 2010 -0600

    added libnuma v1 API support
    
    Modified NUMA code to handle version 1 API (for RHEL5)
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 5384bcd747022c624268652f0427d487af2d9233
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jan 26 13:46:14 2010 -0600

    version bump to 0.62
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 20ece7f8a1d7c03e56fe739c243dfb9a0f28649b
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jan 26 12:05:43 2010 -0600

    fixed numa compile and added numa option to usage printout
    
    Added NUMA=1 to specfile build command line to enable NUMA
    options. Added description of --numa option to usage output.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 1bb1e652650a917d868756b8b6cecd4f2997082c
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Mon Jan 25 21:22:54 2010 +0100

    Add copyright statements to files in src/lib
    
    Signed-off-by: Clark Williams <williams@redhat.com>
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Acked-by: John Kacur <jkacur@redhat.com>
    Cc: Carsten Emde <carsten.emde@osadl.org>

commit a1a06095616e3d89504e7a8b89f08de3b1218efe
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jan 26 12:23:49 2010 -0600

    moved hwlatdetect to python site-library
    
    Moved the hwlatdetect script to the python site-library directory
    so that it can be imported by other scripts
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 8947c646fed2afa8aacf7c816ab381b021a467fe
Author: GeunSik Lim <leemgs1@gmail.com>
Date:   Thu Jan 21 01:09:30 2010 +0100

    rt-tests: Support static linking by reordering the link flags in LIBS
    
    Some embedded developers cross-compile the tests with the -static link flag.
    Reordering the link flags in LIBS to put -lrt before -lpthread is necessary,
    else you get undefined references to pthread calls.
    
    Signed-off-by: Geunsik Lim <geunsik.lim@samsung.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 582be2a52c43801a10d318de7491f1cc7243d5cf
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 20 21:14:12 2010 -0600

    simplify equal priority logic for cyclictest
    
    use a variable to indicate that priorities should be equal
    on all cpus when smp, numa or histogram options are specified.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 761911503ce843265a275d5c3b14a849cb59eb39
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Jan 20 16:09:53 2010 +0100

    rt-tests: Make cyclic test compilable for non-numa systems.
    
    Runtime tests are not sufficient, cyclic tests needs to be compilable
    on non-numa systems.
    
    This separates numa functionality into rt_numa.h
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 9f4edeb6019c126f31a9081f1f9a13212984058c
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Jan 20 14:37:08 2010 +0100

    rt-tests: Makefile: Add NUMA compile option.
    
    This adds a NUMA compile option, and links to numa only for the tests that
    need it. (Currently that is only cyclictest)
    
    If you want to build with the NUMA feature, then define NUMA to anything.
    Eg., make NUMA=1
    
    This only adds support to the Makefile. Further patches are required
    to make this work in cyclictest itself.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit db0988a070308ac7413c3d464bae4197270d885e
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 20 07:23:01 2010 -0600

    setup equal priorities on all cpus in numa mode in cyclictest
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 6c66beba0aabeaafae2ef1aefae8c66b237f28fb
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jan 19 21:29:57 2010 -0600

    fixed missing reference to outpar label
    
    added back reference to outpar label in allocation failure for
    statistics array (got dropped in previous two commits).
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 9345a49ac8297b69d4a5f8488df7f5b29c9c2117
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jan 19 21:25:55 2010 -0600

    added threadalloc/threadfree for thread memmory manipulation
    
    refactored numa allocation logic into threadalloc() and added
    threadfree() for releasing it.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit cb5d2b4ca05d74df2e5622f8a2c92c0809b0c5ef
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jan 19 16:56:09 2010 -0600

    added numa logic to cyclictest
    
    Modify cyclictest to have a --numa option which enables calls into
    libnuma functions for binding threads to memory nodes.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit edb2443d0165af98cdaa6324e8b618fa7e6bf475
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 13 10:58:26 2010 -0600

    version bump to 0.61
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit a548d8fc805d5d4a55a3042ac585d6b8db6df23a
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 13 10:57:28 2010 -0600

    fixed missing short option 'S' in getopt_long() call
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 77abded073c5d11d118112c46c22a84ddc29e771
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 13 10:45:00 2010 -0600

    added SMP testing option and make use of new diag functions
    
    Added the --smp (-S) option which is short hand for setting
    the options -t, -a, and -n and for not changing any specified
    priority across processors.
    
    Also changed many printfs to use either warn() or fatal()
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 2bf1bce58cbe891fbbdc44c1088d11de3f9d91b4
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 13 10:44:00 2010 -0600

    added merge to master step in release checklist
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 99d07bebf340286c0e0b8affa60ead5354ecf289
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jan 13 10:42:35 2010 -0600

    added warn() and fatal() routines
    
    Added routines to print warning and fatal messages with appropriate
    text prefixes (e.g. WARNING: and FATAL: )
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 015025fb4db2db8c20a01afcd1b2f74324e306a8
Author: Clark Williams <williams@redhat.com>
Date:   Tue Dec 29 12:30:53 2009 -0600

    version bump to 0.60

commit f1619c5c192b57f5bf1f144d21f6fd401d5ef465
Author: Michael Olbrich <m.olbrich@pengutronix.de>
Date:   Tue Dec 29 12:23:27 2009 -0600

    cyclictest: add command line option for unbuffered output
    
    When reading the output from cyclictest with another program, the data is
    buffered by default. This prevents nice 'live' display.
    This patch adds an command line option to force the output to always be
    unbuffered.
    
    Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
    Signed-off-by: Wolfram Sang <w.sang@pengutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 2fc5d42f862fad58ee92dca1effdfe926a25c36b
Author: Carsten Emde <Carsten.Emde@osadl.org>
Date:   Wed Dec 23 23:52:39 2009 +0100

    rt-tests: Add a new test pip - priority inheritance with processes
    
    John,
    
    When creating an RPM package with the newly provided test pip, the message
    error: Installed (but unpackaged) file(s) found:
       /usr/bin/pip
    appeared, and rpmbuild refused to finish building the package.
    
    	Carsten.
    
    -=--------------------------------------------------------------------=-
    
    Prevent rpmbuild from finding installed but unpackaged files.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>

commit 7e2594ba90cd01f2fbb9ca6f9c95bb31a87414f1
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Dec 23 16:50:37 2009 +0100

    rt-tests: Add a "make tags" option.
    
    Add a "make tags" option to the Makefile
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 20b8b253f3892ee04d5aae82f83c8e49acc1b75c
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Dec 23 16:41:12 2009 +0100

    rt-tests: pip - Use check_privs() from the rt-utils library.
    
    Use check_privs() from the rt-utils library to make sure that the user is
    running with real-time privileges for the pip test program.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 3dec3c9e0421f7fd38ecb321faad1eacec740cc0
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Dec 23 16:26:49 2009 +0100

    rt-tests: Move header files from src/lib to src/include
    
    Move header files from src/lib to src/include and adjust the Makefile to
    reflect this change.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 3b0dcdaefcdb654bc89b96d9f7f5ddbc31f6887e
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Dec 23 16:01:17 2009 +0100

    rt-tests: Add a new test pip - priority inheritance with processes
    
    This test is similar to pi_stress in that it purpursely triggers a priority-
    inversion. However, instead of using pthreads it uses processes.
    Since pthread_mutex_t are the only objects backed by priority inheritance
    this is accomplished by having the processes use a pthread_mutex_t in
    shared memory. See the header of pip.c for more information as well as the
    code of course.
    
    In addition this patch starts a src/include directory as a common place
    to put header files.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit aee58a288f0ab71c0eafaec6b86f26b94e012af2
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Dec 23 14:43:54 2009 +0100

    rt-tests: Add error routines to the library
    
    Add error routines, similar to those found in Advanced Programming in the
    UNIX Environment 2nd ed. for use by all rt test programs
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 3115847ca0f16757a1283e58d15db5d652df28ce
Author: Clark Williams <williams@redhat.com>
Date:   Tue Dec 22 16:27:15 2009 -0600

    version bump to 0.59
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 8ab7958d06b3c6b93a42ac9a4599361aa15c2ce1
Author: Clark Williams <williams@redhat.com>
Date:   Tue Dec 22 16:22:11 2009 -0600

    deleted classic_pi program
    
    classic_pi was the original proof of concept for a Priority
    Inheritance mutex demonstration, but pi_stress does that much
    better now.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit d3f77dcefc40ba5e4a78937f600fc730902b4199
Author: John Kacur <jkacur@redhat.com>
Date:   Tue Dec 22 22:54:00 2009 +0100

    rt-tests: Add help screen info about -M / refresh_on_max in cyclictest
    
    Signed-off-by: David Sommerseth <davids@redhat.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 61b13092851db335a06eedc46043394c09b52450
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Dec 22 16:47:36 2009 +0100

    Missing parsing of --mlockall in signaltest
    
    Signed-off-by: David Sommerseth <davids@redhat.com>

commit 2e2c1eb6ae2147ae68f1af4a0cc90066ad3c4bd0
Author: David Sommerseth <davids@redhat.com>
Date:   Tue Dec 22 16:47:35 2009 +0100

    Fixed missing parsing of short arguments in classic_pi (David)
    - Added the '+' back to the arguments (John)
    
    Signed-off-by: David Sommerseth <davids@redhat.com>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 77c00420d06ec5010a251d4ecac1f74201cd20ca
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Tue Dec 22 00:58:59 2009 +0100

    rt-tests: Better explanation in the kernel module
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit b1ff404d5545dd69ecc44b0055efb5478ec624f6
Author: John Kacur <jkacur@redhat.com>
Date:   Tue Dec 22 00:43:04 2009 +0100

    rt-tests: Clean-up, Fix the comment part of the #endif protecting include files
    
    Clean-up, Fix the comment part of the #endif protecting include files
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit c663bf76dd10593c07b3fd95e3842c5e93c09ad8
Author: Clark Williams <williams@redhat.com>
Date:   Mon Dec 21 16:11:09 2009 -0600

    version bump to 0.58

commit e3c3bab1c668a5132bafcb254989daf40a1cb558
Author: Clark Williams <williams@redhat.com>
Date:   Mon Dec 21 16:04:41 2009 -0600

    fixed missing function invocation in cyclictest
    
    Added missing () to get_debugfileprefix in cyclictest.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 1c6c5896060d79b4617469f61d696f66e1f76667
Author: Clark Williams <williams@redhat.com>
Date:   Mon Dec 21 16:02:21 2009 -0600

    move guard macros into implementor namespace
    
    renamed the guard macros in rt-get_cpu.h and rt-utils.h to
    have leading double underscores which takes them out of the
    application namespace. Also changed a '.' in the rt-get_cpu.h
    guard macro to an underscore.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit d6e8606c2464206d90f6f43fdb7b5cf03d57747f
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Mon Dec 21 22:36:55 2009 +0100

    Completely remove VERSION_STRING until we have a better solution.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 738ab3ea95aecdff6b469278f7071727ac0dc3f9
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 21 22:17:59 2009 +0100

    rt-tests: Clean-up - protect rt-utils.h
    
    Clean-up: Protect rt-utils.h with #ifndef RT_UTILS_H
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 2d85600632d69cae6f6886e2a18ff6b17908eb98
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 21 21:04:10 2009 +0100

    rt-tests: Add a get_cpu() function to the library.
    
    Add a get_cpu() function to the library.
    Most platforms will simply use sched_getcpu()
    However, if you have a glibc < 2.6 then
    64-bits will use vsyscall for getcpu (if available).
    32-bits will use getcpu() (if available)
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 5ee3c0f0372a338dac57123a23a00d03a3c85804
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 21 19:23:56 2009 +0100

    rt-tests: Makefile - Changes to unify and simplify the Makefile
    
    - These changes simplify the Makefile. For example, notice that we no
    longer need to specify the full path to the source file
    - These changes also unify the Makefile, for example, every program
    gets VERSION_STRING as an floating point number.
    - Due to the above change I had to make a number of changes in the programs
    that expected VERSION_STRING as a string.
    - By unifying what we CFLAGS, to include -D_GNU_SOURCE, I had to remove
    __USE_GNU which is reduncant in a number of files.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 273aa36231320c1473c1cc34dc8d6ba03c261455
Merge: 2e1f65816117 1c3c9e34d65b
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 21 17:48:20 2009 +0100

    Merge remote branch 'clrk/master' into rt-tests-dev
    
    Conflicts:
    	src/backfire/sendme.c

commit 1c3c9e34d65b6774e9f56d9d49fdbe101d42dc6c
Author: Clark Williams <williams@redhat.com>
Date:   Mon Dec 21 10:27:18 2009 -0600

    convert source back to unix text (was DOS text)
    
    Somehow the last set of tests added got converted to DOS text
    (CRLF line terminators). Change them back
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 2e1f65816117a190b630e8311e12524d52816232
Merge: 116a02e45640 ff74d0eb7097
Author: John Kacur <jkacur@redhat.com>
Date:   Tue Dec 15 23:21:00 2009 +0100

    Merge commit 'clrk/master' into rt-tests-dev
    
    Conflicts:
    	rt-tests.spec-in

commit ff74d0eb70973fb13811eeb17be8f596291a9d7c
Author: Clark Williams <williams@redhat.com>
Date:   Tue Dec 15 13:48:37 2009 -0600

    version bump to 0.57

commit 116a02e456401241b1d2af050b7e6a2ec75d7d9c
Author: Carsten Emde <c.emde@osadl.org>
Date:   Tue Dec 15 02:23:48 2009 +0100

    Add the following new tests - ptsematest - sigwaittest - svsematest - sendme
    
    John,
    
    thanks a lot for taking care of the new tests.
    
    By some reason, the spec file was not included in the patch. This
    patch is needed to prevent the rpm build from finding installed
    but unpackaged files.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>

commit a6010f928e7026b1dc640f7a4072d865f7736702
Author: Carsten Emde <C.Emde@osadl.org>
Date:   Tue Dec 15 00:04:34 2009 +0100

    Explain that the backfire kernel module may need building.
    
    Do a better job of explaining that the backfire kernel module may need
    building in the sendme program.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit e9007a0edd52b391ad7d731dca3bd258c620c2f2
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 14 22:31:08 2009 +0100

    Add a .gitignore file in the backfire directory for generated files.
    
    Add a .gitignore file in the backfire directory for generated files
    that are created when making the kernel module.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 863280b7d569126c6dddf515776deb6889414330
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 14 21:44:19 2009 +0100

    Remove making of backfire kernel module from the rt-tests makefile
    The kernel module can be made by cding to src/backfire and doing
    make modules
    sudo make modules_install
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 1a29a37968458329c05a7df3c1bfe66ee38a41b2
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 14 21:14:28 2009 +0100

    The PHONY target for install is incorrectly specified as "all"
    
    Change the PHONY target for install to install
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 2c4267ff9adcba69aaa6d4157f16b68fddc14ba2
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 14 16:19:59 2009 +0100

    The version of check_privs that got added to the library must have come
    from signaltest - because it doesn't have the fix that check_privs in
    cyclictest has - to return the sched_priority to 0
    
    This is a good example of why common functions should be put into libraries -
    so all programs benefit from fixes.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 150f680979d590ed0314f954c32c308eee7b476d
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 14 16:15:11 2009 +0100

    Add the new tests to .gitignore
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit a017e969b3e07c726ea472b9294d899d11822d67
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Dec 14 16:13:09 2009 +0100

    Use sched_getcpu
    - sched_getcpu is available since glibc 2.6
    - the current tests were broken in anycase.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 92b0181ce8006c52cc19139dabfa155cca69e9f1
Author: Carsten Emde <carsten.emde@osadl.org>
Date:   Mon Dec 14 15:53:20 2009 +0100

    Add the following new tests
    - ptsematest
    - sigwaittest
    - svsematest
    - sendme
    
    Signed-off-by: Carsten Emde <carsten.emde@osadl.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit da4e86522577ac413395dfb32d0b7411028e8dd8
Author: Carsten Emde <carsten.emde@osadl.org>
Date:   Mon Dec 14 14:58:52 2009 +0100

    Make use of the new library functions in signaltest.
    
    Signed-off-by: Carsten Emde <carsten.emde@osadl.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit c51afec7fda2c43e760d43c5d76f4bfe4880c7f4
Author: Carsten Emde <carsten.emde@osadl.org>
Date:   Mon Dec 14 14:47:59 2009 +0100

    Make use of the library functions in cyclic test.
    
    Signed-off-by: Carsten Emde <carsten.emde@osadl.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit dce15eefef03154a684d5274aebe5a036ed45f99
Author: Carsten Emde <carsten.emde@osadl.org>
Date:   Mon Dec 14 14:19:03 2009 +0100

    Start a separate library of functions for the rt-test suite.
    The first couple are taken from cyclictest.
    
    Signed-off-by: Carsten Emde <carsten.emde@osadl.org>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit a6d367302e932b3a1d1865adf64a1a29b4d54ee4
Merge: 3085482cff7a 996e0f5e4de4
Author: John Kacur <jkacur@starship.(none)>
Date:   Fri Dec 11 14:45:27 2009 +0100

    Merge commit 'v0.56' into rt-tests-dev

commit 996e0f5e4de4824162757049f0814e5a007a4f33
Author: Clark Williams <williams@redhat.com>
Date:   Thu Dec 10 14:33:40 2009 -0600

    version bump to 0.56
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 93989ec0d61e5220ff14475a9ec44ba4ebfcf1a1
Author: Clark Williams <williams@redhat.com>
Date:   Thu Dec 10 14:17:34 2009 -0600

    [cyclictest] print thread ids when breaktracing
    
    This commit adds some output then the -b option is used to break on
    exceeding a threshold. the thread id of the thread that exceeded the
    threshold is printed for use when looking at the trace log.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 3085482cff7a5b7f3d099259d7d2618aed5a72c6
Merge: 2712903a4056 4176f242c2ee
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 19 23:31:29 2009 +0100

    Merge commit 'v0.55' into rt-tests-dev

commit 4176f242c2eeeb4657f51183f55862e3dcd228db
Author: Clark Williams <williams@redhat.com>
Date:   Thu Nov 19 15:04:43 2009 -0600

    version bump to 0.55

commit 0b34a7b2bfdd889c808fb36a3797048cb800bb7e
Author: Clark Williams <williams@redhat.com>
Date:   Thu Nov 19 14:16:07 2009 -0600

    rt-tests: pi_stress: cosmetic newline added
    
    Add a second newline to the "Low thread priority" display line
    so that updating number of inversions doesn't overwrite it.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit d2ad7c750602b35b805003fc9ccc78337bc5b114
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 19 16:24:07 2009 +0100

    rt-tests: pi_stress: Remove racy state variables that cause watchdog to trigger
    
    When using pthread_barrier_wait, it is important that barriers are called
    the correct number of times. That is - the same number given as the count
    when initializing the barrier.
    
    There was a do-while loop around elevate_barrier in the med priority thread.
    On most machines, it actually never looped.
    
    On threads with enough processors (nehelam for example), there was a racy
    situation in which the high priority thread could come out of the finish
    barrier, and before it could set high_has_run = 0, the medium priority
    thread would test the value and call the elevate barrier an extra time.
    
    This patch removes the bogus loop and related state variables and fixes
    the hang.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit cf46ad44b92c937779a618bbc9c10507fe4f6473
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 19 12:02:52 2009 +0100

    rt-tests: pi_stress: Check whether quiet is set, before taking shutdown_mtx
    
    - Check whether quiet is set, before taking shutdown_mtx
    - Add quiet to the help menu.
    - Remove unused "signal" from struct options
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 9ee4dcad0346e9870bf76cc8c1bf8b48292afdca
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 19 11:50:10 2009 +0100

    rt-tests: pi_stress: Use a pthread_mutex_t for the global variable shutdown
    
    - Use a pthread_mutex_t for the global variable shutdown.
    - Remove the volatile qualifier from shutdown. (Since the original author
    probably simply meant the variable should be atomic which we effectively
    get through the mutex.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 2712903a40560378cb61336994258780cfbb83d9
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 19 16:24:07 2009 +0100

    rt-tests: pi_stress: Remove racy state variables that cause watchdog to trigger
    
    When using pthread_barrier_wait, it is important that barriers are called
    the correct number of times. That is - the same number given as the count
    when initializing the barrier.
    
    There was a do-while loop around elevate_barrier in the med priority thread.
    On most machines, it actually never looped.
    
    On threads with enough processors (nehelam for example), there was a racy
    situation in which the high priority thread could come out of the finish
    barrier, and before it could set high_has_run = 0, the medium priority
    thread would test the value and call the elevate barrier an extra time.
    
    This patch removes the bogus loop and related state variables and fixes
    the hang.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 9093a5de51964f3a9ab1454a77181fad2d3e7217
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 19 12:02:52 2009 +0100

    rt-tests: pi_stress: Check whether quiet is set, before taking shutdown_mtx
    
    - Check whether quiet is set, before taking shutdown_mtx
    - Add quiet to the help menu.
    - Remove unused "signal" from struct options
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 97dbb3cebd200a4d45d89d8e264e43b119b2cbcf
Author: John Kacur <jkacur@redhat.com>
Date:   Thu Nov 19 11:50:10 2009 +0100

    rt-tests: pi_stress: Use a pthread_mutex_t for the global variable shutdown
    
    - Use a pthread_mutex_t for the global variable shutdown.
    - Remove the volatile qualifier from shutdown. (Since the original author
    probably simply meant the variable should be atomic which we effectively
    get through the mutex.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 8f9ffd3750ce2aa68bab10bdbf8e1c5da0d5e9fc
Merge: 4fc1a432aa37 c8fdec1e0793
Author: John Kacur <jkacur@redhat.com>
Date:   Wed Nov 18 10:21:47 2009 +0100

    Merge branch 'master' into rt-tests-dev

commit c8fdec1e0793c18b08b2b3d1e3548015505c3764
Author: Clark Williams <williams@redhat.com>
Date:   Tue Nov 17 17:01:37 2009 -0600

    version bump to 0.54

commit edce3be0484f4f73533166c9ad61aae6c5a44650
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 22:18:56 2009 +0100

    rt-tests: Makefile - rt-tests.spec is not a PHONY target
    
    Reported-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 168f2a35ebc52a75a445841344c152d6ca1b776c
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 20:28:39 2009 +0100

    pi_stress: Convert c-plus style comments to c-style comments
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit a95740e5de9141f8e33c570c3587254773c9c318
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 20:22:23 2009 +0100

    pi_stress: Fix trailing-whitespace warnings.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 72bffb255a4541fb94bb52fcac0bccbc3ba1caea
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 20:14:46 2009 +0100

    pi_stress: Fix indentation problems with Lindent from the kernel
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit e3f61d1e8c23ea0239636dc3e4c892fd2f22b8f7
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 16:14:25 2009 +0100

    rt-tests: Makefile - Add a DEBUG option to the Makefile
    
    This allows you to do
    make DEBUG=0
    which changes CFLAGS from -Wall -Wno-nonnull -O2
    to -Wall -Wno-nonnull -O0 -g
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 502ab0b3e49d1c691bdd3b6975d90e9f5450196e
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 15:47:01 2009 +0100

    rt-tests: Makefile - Specify when a target is a PHONY target.
    
    Signed-off-by: John Kacur: <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 1c436a1d755c456dd8f2caea7e7548df7f1b4e0d
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 15:37:49 2009 +0100

    rt-tests: Makefile - Change FLAGS to CFLAGS
    
    Change FLAGS to CFLAGS as this is the standard
    
    Signed-off-by: John Kacur <jkacur@redhat.com>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 4fc1a432aa373948546d52121c69f7e27626d434
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 22:14:25 2009 +0100

    rt-tests: Makefile - rt-tests.spec is not a PHONY target
    
    Reported-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit f517718bb680aa1e93f72c29910bc65c13c82a05
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 20:28:39 2009 +0100

    pi_stress: Convert c-plus style comments to c-style comments
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 76a7fa9c102631a34f88ec399c119ea542ae81a4
Author: Clark Williams <williams@redhat.com>
Date:   Mon Nov 16 13:32:36 2009 -0600

    added back dist macro
    
    Added the dist macro back for distribution differentiation
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit a41df95177ff19bd3185a5673aa598c353a5774d
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 20:22:23 2009 +0100

    pi_stress: Fix trailing-whitespace warnings.
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit c6a804f6c38d5b7f6150123febe0b305ded6f21a
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 20:14:46 2009 +0100

    pi_stress: Fix indentation problems with Lindent from the kernel
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 7ea849f942f7e5b02d2be9ee50e2584635cd7be4
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 16:14:25 2009 +0100

    rt-tests: Makefile - Add a DEBUG option to the Makefile
    
    This allows you to do
    make DEBUG=0
    which changes CFLAGS from -Wall -Wno-nonnull -O2
    to -Wall -Wno-nonnull -O0 -g
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit 14806d13a0b84220fa17d38bdb32559610434794
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 15:47:01 2009 +0100

    rt-tests: Makefile - Specify when a target is a PHONY target.
    
    Signed-off-by: John Kacur: <jkacur@redhat.com>

commit e2a22de97709513b3d541f65280db51e44431a3e
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Nov 16 15:37:49 2009 +0100

    rt-tests: Makefile - Change FLAGS to CFLAGS
    
    Change FLAGS to CFLAGS as this is the standard
    
    Signed-off-by: John Kacur <jkacur@redhat.com>

commit d0a65eb5a016d789edcc50ea7f94506cf6751730
Author: Clark Williams <williams@redhat.com>
Date:   Wed Oct 7 09:14:20 2009 -0500

    patch from Hans-Peter Bock <Hans-Peter.Bock@isw.uni-stuttgart.de>
    correcting units in help message for cyclictest

commit 82ca52c27b60b5c57a78dbd8b2352609960e43dd
Author: Clark Williams <williams@redhat.com>
Date:   Tue Oct 6 14:21:04 2009 -0500

    version bump to 0.53

commit 6d54794d16310389f3a9f822038d9e9f24265d96
Author: Clark Williams <williams@redhat.com>
Date:   Tue Oct 6 14:17:18 2009 -0500

    fixed incorrect format in hwlatdetect.py

commit de34dc90a4f3edb0e5ca6b2efcde23b778eadedb
Author: Clark Williams <williams@redhat.com>
Date:   Mon Sep 21 19:30:38 2009 -0500

    add new file doc/realease-checklist.txt

commit b4eaf442855f56e16ebc37ace394bc8d17db158a
Author: Clark Williams <williams@redhat.com>
Date:   Mon Sep 21 16:57:25 2009 -0500

    version bump to 0.52

commit 99557d7360d66e25538756c82a3078d0892f51fc
Author: Clark Williams <williams@redhat.com>
Date:   Mon Sep 21 16:48:49 2009 -0500

    cleanups for rt-migrate-test

commit 7ca2d46e60caf611668309bba5060f928afd03f9
Author: Clark Williams <williams@redhat.com>
Date:   Mon Sep 21 10:30:10 2009 -0500

    added Steven Rostedt's rt-migrate-test

commit 16707573007db383859cd551c2415afb13be9739
Author: John Kacur <jkacur@redhat.com>
Date:   Mon Sep 14 16:33:31 2009 +0200

    pi_stress clean-ups, fix hang.
    
    From f17765e52e248b3a738f5206cb4b97bdcc1a0204 Mon Sep 17 00:00:00 2001
    From: John Kacur <jkacur@redhat.com>
    Date: Tue, 1 Sep 2009 15:24:23 +0200
    Subject: [PATCH] Add tags and TAGS to .gitignore
    
    Add tags and TAGS to .gitignore, to prepare for a make tags option

commit 42ab9e7cd259fae674dc2b2aa2962caaf8f09409
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 3 15:11:05 2009 -0500

    documented -M option

commit 64fce51cb8366a3462bfa55d3de250fb5564eadc
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 3 15:07:42 2009 -0500

    version bump to 0.51

commit 34fca025a60b2340a76f1f9972cdce68629c9065
Merge: fc96b72126e7 ab887085b4ba
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 3 14:57:42 2009 -0500

    Merge commit 'uwe/for-clark'

commit ab887085b4ba080eb698c903fdf33e02724fbd2f
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Thu Sep 3 21:02:19 2009 +0200

    cyclictest.8: make description of --policy consistent to other options
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit ba788f073122b88d93ba6a288c21a08c26b4ba10
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Thu Sep 3 20:56:14 2009 +0200

    manpages: fix lintian warning hyphen-used-as-minus-sign
    
    "-" must be escaped ("\-") to be interpreted as minus, otherwise they
    might be rendered as hyphen which makes it impossible to search for or
    to cut'n'paste.
    
    See http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html for a
    detailed explanation.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit fc96b72126e79a732e6265d76a11c4e807368642
Author: Arnaldo Carvalho de Melo <acme@redhat.com>
Date:   Wed Aug 26 17:31:34 2009 -0300

    cyclictest: add --update_on_max option
    
    Note: the previous one sucked rockz, please try this one instead.
    
    When running on a machine with not enough bandwidth it can be helpful to
    only update the status when a new max is hit.
    
    Signed-off-by: Arnaldo Carvalho de Melo <acme@redhat.com>

commit 3eba62854f39c2e107ecfc8673b88fcd9b04f7a6
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jul 16 10:46:39 2009 -0500

    added extra status prints to scripts/do-git-push
    added pushtest target to Makefile
    fixed incorrect argument to git push

commit a55242cc96107b13d328923b31d723e521a8683b
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jul 16 10:42:01 2009 -0500

    version bump to 0.50

commit 62ef8a98a75a08d2f6621a21aedfb5846657dab5
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jul 15 20:43:21 2009 -0500

    major rewrite of hwlatdetect.py to handle old smi_detector module
    as well as current hwlat_detector

commit b7ba8bc3c72a5c4d4cbdc4fc84c480ee6b74eb4a
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jul 15 20:41:37 2009 -0500

    removed redirect to /dev/null and added --dryrun push

commit a8a69c7e96f541004c5f9fdc600096cd20bdcd97
Merge: 960adc44a228 b2554ef475ce
Author: Clark Williams <williams@redhat.com>
Date:   Mon Jul 13 12:35:02 2009 -0500

    Merge branch 'clark'

commit b2554ef475ce34c7d7afa888df2d5b2b22068b8f
Author: Clark Williams <williams@redhat.com>
Date:   Mon Jul 13 12:34:10 2009 -0500

    small tweaks to Uwe's changes to scripts/do-push-git
    added testing mode to scripts/do-push-git

commit edcaf949455641e4052616da60f7a574d8d85015
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Fri Jul 10 20:32:32 2009 +0200

    scripts/do-git-push: optimize a few forks away
    
    As I'm not Clark I cannot test my changes, so this is completly
    untested :-)
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 960adc44a228c7b71007028afad64febbbf3055e
Author: Clark Williams <williams@redhat.com>
Date:   Mon Jul 13 10:07:24 2009 -0500

    version bump to 0.49

commit e5d7ca1ac58ad2908850d8c11062a0a49a031df2
Author: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
Date:   Mon Jul 13 14:34:48 2009 +0200

    cyclictest: process option before checking for permissions
    
    so a normal user is able to take a look on the available options
    
    Signed-off-by: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 47e87a456c66f8fcea3cfbca914a5ab7f82e4cfc
Author: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
Date:   Mon Jul 13 09:40:46 2009 -0500

    cyclictest: exit with an error code in error case
    
    if cyclictest is started with invalid arguments or $SOMETHING, then it
    prints the help screen and the exit code is 0 which is wrong.
    
    Signed-off-by: Sebastian Andrzej Siewior <bigeasy@linutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 2ba1f87e05d59287fd09520f4a20d990411888e6
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jul 7 17:15:21 2009 -0500

    version bump to 0.48
    added push target to Makefile

commit c6efd5be12756d23a6a1d818a9f1a1283e5ec4ee
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jul 7 17:14:46 2009 -0500

    moved to scripts directory

commit f8b121ddd8ae47d8dbb0d15e4d3888bcd32c29d5
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jul 7 17:13:53 2009 -0500

    Added sanity checks and comments to scripts/do-git-push

commit 03f8afd84564f67dc66eb493abdd62f346e11f30
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jul 7 16:26:42 2009 -0500

    added do-git-push script

commit d4e64bdf64076fcff82e1efa6d6e8a6fa9d371ff
Author: Clark Williams <williams@redhat.com>
Date:   Sun Jul 5 16:14:57 2009 -0500

    version bump to 0.47

commit a64d952c2ccf48bd90e7241b1f1e8f3532a3731f
Author: Clark Williams <williams@redhat.com>
Date:   Sun Jul 5 16:14:43 2009 -0500

    updated change log

commit 1b7ecf004ba2cb196b066603e0d43511d84a725f
Author: Clark Williams <williams@redhat.com>
Date:   Sun Jul 5 13:33:52 2009 -0500

    change options for --policy to be string names rather than integers
    moved policy display from individual threads to header with load average
    did some sanity checking so that policy and priority match
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit de70815ad04ac2726d23331bd3d7f4472106b6e5
Author: Clark Williams <williams@redhat.com>
Date:   Sun Jul 5 12:58:51 2009 -0500

    Subject: [PATCH]cyclictest: Arrange alphabetically for readability of
    	"cyclictest --help".
    From: GeunSik Lim <leemgs1@gmail.com>
    Reply-To: leemgs1@gmail.com
    To: williams <williams@redhat.com>
    Cc: linux-rt-users <linux-rt-users@vger.kernel.org>, tglx <tglx@linutronix.de>
    
    When we use "#> cyclictest --help" command, we are confusing because of
    random order of many options. Arrange alphabetically.
    
    After Patch)
    [root@fedora11 rt-tests]# ./cyclictest  --help
    cyclictest V 0.46
    Usage:
    cyclictest <options>
    
    -a [NUM] --affinity        run thread #N on processor #N, if possible
                               with NUM pin all threads to the processor NUM
    -b USEC  --breaktrace=USEC send break trace command when latency > USEC
    -B       --preemptirqs     both preempt and irqsoff tracing (used with -b)
    -c CLOCK --clock=CLOCK     select clock
                               0 = CLOCK_MONOTONIC (default)
                               1 = CLOCK_REALTIME
    -C       --context         context switch tracing (used with -b)
    -d DIST  --distance=DIST   distance of thread intervals in us default=500
    -D       --duration=t      specify a length for the test run
                               default is in seconds, but 'm', 'h', or 'd' maybe added
                               to modify value to minutes, hours or days
    -E       --event           event tracing (used with -b)
    -f       --ftrace          function trace (when -b is active)
    -h       --histogram=US    dump a latency histogram to stdout after the run
                               (with same priority about many threads)
                               US is the max time to be be tracked in microseconds
    -i INTV  --interval=INTV   base interval of thread in us default=1000
    -I       --irqsoff         Irqsoff tracing (used with -b)
    -l LOOPS --loops=LOOPS     number of loops: default=0(endless)
    -m       --mlockall        lock current and future memory allocations
    -n       --nanosleep       use clock_nanosleep
    -N       --nsecs           print results in ns instead of ms (default ms)
    -o RED   --oscope=RED      oscilloscope mode, reduce verbose output by RED
    -O TOPT  --traceopt=TOPT   trace option
    -p PRIO  --prio=PRIO       priority of highest prio thread
    -P       --preemptoff      Preempt off tracing (used with -b)
    -q       --quiet           print only a summary on exit
    -r       --relative        use relative timer instead of absolute
    -s       --system          use sys_nanosleep and sys_setitimer
    -t       --threads         one thread per available processor
    -t [NUM] --threads=NUM     number of threads:
                               without NUM, threads = max_cpus
                               without -t default = 1
    -T TRACE --tracer=TRACER   set tracing function
        configured tracers: unavailable (debugfs not mounted)
    -v       --verbose         output values on stdout for statistics
                               format: n:c:v n=tasknum c=count v=value in us
    -w       --wakeup          task wakeup tracing (used with -b)
    -W       --wakeuprt        rt task wakeup tracing (used with -b)
    -y POLI  --policy=POLI     policy of realtime thread (1:FIFO, 2:RR)
                               format: --policy=1(default) or --policy=2
    
          Signed-by-off: GeunSik Lim <geunsik.lim@samsung.com>
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 1926b984397dc9f7f8c8d1ce327048531ca2d06d
Author: Clark Williams <williams@redhat.com>
Date:   Sun Jul 5 12:58:27 2009 -0500

    Subject: [PATCH] cyclictest: Add policy option to support FIFO or RR by
    	users
    From: GeunSik Lim <leemgs1@gmail.com>
    To: williams <williams@redhat.com>
    Cc: linux-rt-users <linux-rt-users@vger.kernel.org>, tglx <tglx@linutronix.de>
    
    
    Current cyclictest support FIFO policy for static priority of
    RT threads only. Append policy option to support FIFO or RR by user.
    
    After this patch.
    1) with FIFO about RT threads(default)
       ./cyclictest -t 5 -p 50
    or ./cyclictest -t 5 -p 50 -y 1
    or ./cyclictest -t 5 -p 50 --policy 1
    
    2) with RR about RT threads(default)
       ./cyclictest -t 5 -p 50 -y 2
    or ./cyclictest -t 5 -p 50 --policy 2
    
    This is screenshot of threads using cyclictest & tuna utility after patch.
    http://blogfiles6.naver.net/20090703_5/invain_1246588185266_sc7zEq_PNG/cyclictest-tuna-policy.PNG
    
            Signed-off-by: GeunSik Lim <geunsik.lim@samsung.com>
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 78ae63b635dd1d495cadc87731b6b3404c4cff47
Author: Clark Williams <williams@redhat.com>
Date:   Sun Jul 5 12:58:01 2009 -0500

    Subject: [PATCH] cyclictest : Appended man & usage about the same priority
    	of many threads with -h
    From: GeunSik Lim <leemgs1@gmail.com>
    Reply-To: leemgs1@gmail.com
    To: williams <williams@redhat.com>
    Cc: linux-rt-users <linux-rt-users@vger.kernel.org>, tglx <tglx@linutronix.de>,
            sdietrich@suse.de
    
    
    If we run a many threads with -t option, "priority--" rt priority will assign
    per thread in sequence. But, If we use -h option, all threads is same priority.
    
    Append man page and cyclictest usage about the same priority of many threads
    with -h option.
    
    ex) cyclictest -t 5 -p 50        [enter] <-- without -h
    ex) cyclictest -t 5 -p 50 -h 100 [enter] <-- with    -h
    
            Signed-off-by: GeunSik Lim <geunsik.lim@samsung.com>
            Acked-by     : Sven-Thorsten Dietrich <sdietrich@suse.de>
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 581a864672741a2ba10813ae524a218bac51f261
Author: Clark Williams <williams@redhat.com>
Date:   Sun Jul 5 12:57:27 2009 -0500

    changed smidetect to hwlatdetect in .gitignore

commit 802855c693684fb56ee40af72f6dcffe4a5796c8
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jul 2 17:13:39 2009 -0500

    added fix from Daniel Gollub <dgollub@suse.de> for doomsday latency
    version bump to 0.46

commit 4b1bc6a9bb82faa91842d111ed31fe84877aaa8c
Author: Daniel Gollub <dgollub@suse.de>
Date:   Wed Jul 1 19:16:29 2009 -0700

    Subject: Handle doomsday latency for cyclictest in histogram mode
    
    Don't miss latency which exceed the histogram limit -
    instead sample limit exceeding latency in the last bucket.
    
    This is a leftover from cyclictest_histogram.patch:
    -> Todo: Currently cyclictest does not report the number of samples
    -> that exceeded the histogram max latency.
    
    Handle OOM.
    
    Signed-off-by: Daniel Gollub <dgollub@suse.de>
    Reviewed-by: Sven-Thorsten Dietrich <sdietrich@suse.de>
    --

commit 81b30e4c384049414d2c9edfc77192d8465e7590
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jul 2 09:42:30 2009 -0500

    updated changelog for 0.45

commit 190a00e14e7aba6495a1c7d433c2cfa260e9e939
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jul 2 09:36:52 2009 -0500

    version bump to 0.45; added help target to Makefile

commit 63cf2a4809a2895dace125ba2ce88a2984769731
Author: Sven-Thorsten Dietrich <sdietrich@suse.de>
Date:   Sat Mar 21 16:41:40 2009 -0700

    Change output format to allow 6 digits.
    
    This is useful when testing PREEMPT_NONE Kernels with cyclictest,
    where latencies approaching 1 second can be observed.
    
    Signed-off-by: Sven-Thorsten Dietrich <sdietrich@suse.de>

commit 66fb1db24ec16a26e248fc7742d84002efc9135e
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jul 2 09:29:11 2009 -0500

    added debug prints and retry logic to hwlatdetect enable/disable code and detection code

commit 6092f3b705fd3207ffac7dff681e78033af1cddb
Author: Daniel Gollub <dgollub@suse.de>
Date:   Wed Jul 1 18:57:43 2009 -0700

    Avoid segfault of cyclictest if it gets immediately interrupted.
    
    If clock_nanosleep() gets interrupted this could result in a negative
    time diff from calcdiff().
    
    With the histogram patch this leads to a segfault, since the time diff
    is used as index for the histogram array:
    
    Core was generated by `/usr/bin/cyclictest -n -q -p 99 -t 2 -i 500 -l
    1000000 -h
     20000'.
     Program terminated with signal 11, Segmentation fault.
    #0  0x0000000000402324 in timerthread (param=<value optimized out>)
         at src/cyclictest/cyclictest.c:339
         339                             stat->hist_array[diff] += 1;
         (gdb) p diff
         $1 = -751974
    
    Signed-off-by: Daniel Gollub <dgollub@suse.de>
    Acked-by: Sven-Thorsten Dietrich <sdietrich@suse.de>

commit a778639f31e064419511a39d7ce5401d709514fa
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jun 30 13:36:50 2009 -0500

    version bump to v0.44

commit 68b947acc1ff25dc0b66b10591ca461d1fc22424
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jun 30 13:36:35 2009 -0500

    renamed smidetect to hwlatdetect in specfile template

commit f247fd753a307b0ceae7941a282a93ccc614f529
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jun 30 13:36:06 2009 -0500

    added code to resize window/width when setting the other to a smaller value

commit 803a41737827db85a89b8ae3822c3a1c7b64916b
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jun 25 09:15:40 2009 -0500

    version bump to 0.43

commit 2a1cf80ccca269a33557216514e2553cd07e2782
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Wed Jun 24 00:21:08 2009 +0200

    hwlatdetect.8: There is no macro .R
    
    You might wonder if this wasn't already fixed.  Yes it was (in
    f16ec27fb3), but the change was undone by 3e04327f7f.
    
    While at it add an .br which makes the paragraph look a bit nicer.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit 219d5b48b1725a145f1973d61bf31db1c168dea4
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 12 15:48:18 2009 -0500

    version bump to 0.42

commit eb0c42a27c02ebd11962427e0298d4de9eafd5d3
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 12 15:47:59 2009 -0500

    added copyright header to hwlatdetect.py

commit 652127181ca45efff2e08182ae2ab169057d48cf
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 12 15:47:35 2009 -0500

    updated hwlatdetect.8 to reflect new options/behavior

commit 3e04327f7fc0be0ee2cb3d8157a4faf43e4b00cb
Merge: c7deee8c38a0 11f68bd172b1
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 12 13:20:17 2009 -0500

    merge resolution

commit 11f68bd172b13866666837fc9534c0f7b5eb338e
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 12 13:15:45 2009 -0500

    added hwlatdetect remove in clean target of Makefile

commit ad5a12cb08843bdfade4a6be7fe338a08fe2bf50
Author: Clark Williams <williams@redhat.com>
Date:   Fri Jun 12 13:06:12 2009 -0500

    removed internal defaults (went with module defaults); added debugging code; make sure window set before width

commit c7deee8c38a08e173a5e5282280c2abb362c9370
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Fri Jun 12 15:32:35 2009 +0200

    Make comment describing set_debugfileprefix a bit clearer
    
    This was noticed by GeunSik Lim.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Cc: GeunSik Lim <leemgs1@gmail.com>
    Cc: Luis Claudio R. Goncalves <lclaudio@uudg.org>
    Cc: Clark Williams <williams@redhat.com>

commit 556a10971ca338586cf1efd473b503ff80c58aa8
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jun 10 23:32:41 2009 -0500

    handled module changes

commit 77dc91b0669256056b9b0605bae66968e7070e3d
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jun 10 13:53:18 2009 -0500

    updated distclean target

commit 446ff919908144b0d1b5fafa8e02f865abe70e84
Author: Clark Williams <williams@redhat.com>
Date:   Wed Jun 10 13:50:02 2009 -0500

    the great renaming: smidetect -> hwlat

commit 7bb717b666059e1846f0fee55819f09c17a9d521
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jun 9 12:47:07 2009 -0500

    added smidetect and generated spec file to .gitignore

commit 758df9730855c963542e89d998ec14100e6021f4
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jun 9 12:45:58 2009 -0500

    added non-blocking open+polling read to handle new module logic; added debug statements

commit 30edd0b4abaa4413a22e5e69c9ee187d41e55e6c
Author: Clark Williams <williams@redhat.com>
Date:   Sat May 30 10:30:49 2009 -0500

    rewrite to match updated smi_detector module

commit 0884033338909b8052c0179a2ab971e79bf43bca
Author: Stefan Agner <stefan@agner.ch>
Date:   Wed May 27 23:53:07 2009 +0200

    cyclictest: calcdiff calculated wrong seconds if the difference was bigger than 2147s
    
    Hello,
    
    My first fix didn't took into account that long is 4 byte long on ARM. Therefor
    I changed it to long long now, which works on my ARM board...
    
    Signed-off-by: Stefan Agner <stefan@agner.ch>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit f16ec27fb37579f336426eed6b29aaf1ee1850be
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Thu May 14 01:06:38 2009 +0200

    smidetect.8: There is no macro .R
    
    For a normal font just use nothing.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit 5aac188d853c78f483342255303086992a533b64
Author: Clark Williams <williams@redhat.com>
Date:   Wed May 13 13:57:11 2009 -0500

    added smidetect

commit 934e60da538dfba0793ee91b4e3b2121e7a1376c
Author: Clark Williams <williams@redhat.com>
Date:   Tue May 12 16:56:37 2009 -0500

    added rule to ignore emacs backupfiles

commit e8711b5cb9eb1e564aac131f31df42bacabd7d3f
Author: Clark Williams <williams@redhat.com>
Date:   Tue May 12 16:54:06 2009 -0500

    initial checkin

commit 45d0c73f332c93dc5c0df737a65c833c6522e252
Author: Clark Williams <williams@redhat.com>
Date:   Tue May 12 16:54:03 2009 -0500

    initial checkin

commit 337bf38f80a5af14a0927285fa7329d7626467f2
Author: Clark Williams <williams@redhat.com>
Date:   Tue May 12 16:53:59 2009 -0500

    initial checkin

commit 9153c383ec7f7b08fd7d50f35d39a1a6c933b579
Author: Clark Williams <williams@redhat.com>
Date:   Wed May 6 09:35:23 2009 -0500

    version bump to 0.39

commit ec536d0454b77944776384c2760e318d4f8a2609
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Sat May 2 20:25:53 2009 +0200

    Makefile: don't override DESTDIR, prefix, bindir and mandir
    
    This eases packaging rt-tests and shouldn't have any further impact.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit c289046965e17b623b1f1de802283d1584a33af9
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Sat May 2 20:02:37 2009 +0200

    signaltest: fix typo in copyright header
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Cc: Thomas Gleixner <tglx@linutronix.de>

commit 8565bd61b4725760e07c5c3c9c7b5333630ca647
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Sat May 2 17:56:03 2009 +0200

    escape minus signs in manpages
    
    '-' chars are interpreted as hyphens by groff, not as minus signs.  This
    means that if you're using an UTF-8 locale searching for '-' to find
    options doesn't work.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>

commit 1b81d40771d977a3eb36dd4f17b7e87e69e5777e
Author: Clark Williams <williams@redhat.com>
Date:   Thu Apr 30 15:28:32 2009 -0500

    version bump to 0.38

commit 95bd88ca5a69195466d476b104ced8b5ab352a38
Author: Clark Williams <williams@redhat.com>
Date:   Thu Apr 30 15:27:15 2009 -0500

    added code to usage message to show configured tracers if debugfs mounted
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 3fc59347e83bb9b8397b0508190b416d0dd53fdc
Author: Tobias Klauser <tklauser@distanz.ch>
Date:   Thu Apr 30 11:05:55 2009 +0200

    cyclictest: Remove duplicate entry for -m from manpage
    
    Hi Thomas,
    
    The patch below removes the duplicate entry for the -m/--mlockall option from
    the cyclictest manpage. Patch is againnst current HEAD of rt-tests.git
    
    Cheers, Tobias
    
    Signed-off-by: Tobias Klauser <tklauser@distanz.ch>

commit 986688b00b97507fe9ea92c70d9d99f1bc71abca
Author: Clark Williams <williams@redhat.com>
Date:   Wed Apr 29 15:31:10 2009 -0500

    updated version string to 0.37

commit 9187c3944ba8f5021c771e593311f5087ef49771
Author: Clark Williams <williams@redhat.com>
Date:   Wed Apr 29 15:30:44 2009 -0500

    added --tracer and --traceopt options

commit 552bd1a203041e2ac083b50fe1f0fbf49624a86f
Author: Clark Williams <williams@redhat.com>
Date:   Wed Apr 29 15:23:22 2009 -0500

    added --tracer and --traceopt options

commit 9abe9601f7b39db5ae71d010a2a1b4598f2f7966
Author: Clark Williams <williams@redhat.com>
Date:   Fri Apr 24 15:35:27 2009 -0500

    correct usage message for -w and -W

commit 54623d8d7e513585f65cc00b7d919e120adbbbd0
Author: Clark Williams <williams@redhat.com>
Date:   Fri Apr 24 15:35:04 2009 -0500

    add -w and -W

commit 870347de963c97e8a753de0341521e533ff96493
Author: GeunSik Lim <leemgs1@gmail.com>
Date:   Fri Apr 24 15:20:50 2009 -0500

        [PATCH] cyclictest: Add tracing function about wakeup and wakeup_rt of ftrace.
    
        This is patch to support wakeup & wakeup_rt tracing at the argument of
        cyclictest additionally. Current cyclictest support three tracing
        like PREEMPTOFF, IRQSOFF, PREEMPTIRQSOFF just.
    
        This additional function will help wakeup related tracing
        about sleep api [ex: nanosleep() , usleep] of cyclictest.
    
        Practically speaking, wakeup(+wakeup-rt) tracing by steven rostedt is useful
        in the linux based embedded product development.
    
        After patching,
        Fedora9#> cat /debug/tracing/available_tracers
        syscall blk kmemtrace power branch function_graph mmiotrace wakeup_rt wakeup \
        preemptirqsoff preemptoff irqsoff function sched_switch initcall nop
        Fedora9#> cyclictest -t 5 -p 80 -b 1000 -w -D 10 [enter] <--- tracing wakeup
        Fedora9#> cat /debug/tracing/trace
    
        Fedora9#> cyclictest -t 5 -p 80 -b 1000 -W -D 10 [enter] <--- tracing wakeup-rt
        Fedora9#> cat /debug/tracing/trace
    
        Signed-off-by: GeunSik Lim <geunsik.lim@samsung.com>
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 6d4136e50104075f8823f4e7eaa5fc7d6d617760
Author: GeunSik Lim <leemgs1@gmail.com>
Date:   Tue Apr 21 16:28:55 2009 +0900

    cyclictest: Remove duplicated description of cyclictest usage like -h.
    
    Author: Lim,GeunSik <leemgs1@gmail.com>
    Date:   Tue Apr 21 16:03:56 2009 +0900
    
        [PATCH] cyclictest: Remove duplicated description of cyclictest usage like -h.
    
        We often utilize a various options with "#>cyclictest --help" command in the terminal environment.
        When We run "#> cyclictest --help" command, We can show duplicated description about "-h" option
        for latency histogram.
        Unfortunatley, Some of the users is confusing because of two options about latency histogram.
    
        [root@fedora9 invain]# ./cyclictest --help
        cyclictest V 0.36
        Usage:
        cyclictest <options>
    
        -a [NUM] --affinity        run thread #N on processor #N, if possible
                                   with NUM pin all threads to the processor NUM
        -b USEC  --breaktrace=USEC send break trace command when latency > USEC
        -B       --preemptirqs     both preempt and irqsoff tracing (used with -b)
        -c CLOCK --clock=CLOCK     select clock
                                   0 = CLOCK_MONOTONIC (default)
                                   1 = CLOCK_REALTIME
        -C       --context         context switch tracing (used with -b)
        -d DIST  --distance=DIST   distance of thread intervals in us default=500
        -E       --event           event tracing (used with -b)
        -f       --ftrace          function trace (when -b is active)
        -h H_MAX                   latency histogram size in us default 0 (off)
        -i INTV  --interval=INTV   base interval of thread in us default=1000
    
             ................. [Middle Omission] ...................
    
        -v       --verbose         output values on stdout for statistics
                                   format: n:c:v n=tasknum c=count v=value in us
        -D       --duration=t      specify a length for the test run
                                   default is in seconds, but 'm', 'h', or 'd' maybe added
                                   to modify value to minutes, hours or days
        -h       --histogram=US    dump a latency histogram to stdout after the run
                                   US is the max time to be be tracked in microseconds
    
        For example,
    
        -h H_MAX                   latency histogram size in us default 0 (off)
    
        -h       --histogram=US    dump a latency histogram to stdout after the run
                                   US is the max time to be be tracked in microseconds
    
        As you see, We don't need "-h H_MAX  . . . . . ." description.
        So, I think that We have to remove old option about description of histogram function.
    
        Signed-off-by: GeunSik Lim <leemgs1@gmail.com>

commit 0e2f1a14ffce106ca4b51a78bbd18f3aae1a8ea2
Author: Clark Williams <williams@redhat.com>
Date:   Mon Apr 20 14:09:12 2009 -0500

    version bump to 0.36

commit 5dce871f962a0821e8cd153c2353c3e1ae600d95
Author: Clark Williams <williams@redhat.com>
Date:   Mon Apr 20 14:07:05 2009 -0500

    updated cyclictest man page with -C/--context and -E/--event options

commit 7272c4d320aaf36a018711131e2176951f757b8e
Author: GeunSik Lim <leemgs1 () gmail ! com>
Date:   Wed Apr 8 13:49:26 2009 -0500

    cyclictest: bugfix getopt_long() for -C and -F.
    
    Author: Lim,GeunSik <leemgs1@gmail.com>
    Date:   Wed Apr 8 22:21:59 2009 +0900
    
        [patch] cyclictest: bugfix getopt_long() for -C and -F.
    
        We can not use -C option without --context option for tracing context switching.
        ex) ./cyclictest -t 10 -m -b 100 -C
        We can not use -E option without --event option for tracing events.
        ex) ./cyclictest -t 10 -m -b 100 -E
        Append -C and -E option on getopt_long() function to solve this problems.
    
        Signed-off-by: GeunSik Lim <leemgs1@gmail.com>
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 876c33c8a9dc3dc3249a9e0473a2a0d9663cda6b
Author: Clark Williams <williams@redhat.com>
Date:   Tue Apr 7 15:31:32 2009 -0500

    fixed release target in Makefile so rpms will build
    updated version string to 0.35
    minor format tweak to make variables
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 4d284a272e662e8ad027c395f70ca6526cad095b
Author: Clark Williams <williams@redhat.com>
Date:   Tue Apr 7 15:29:27 2009 -0500

    adjustedt install target to match Uwe's DESTDIR/prefix split
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit f2e4eebd40b71c3472db0817348d4c79bc43b0e0
Author: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Date:   Tue Apr 7 22:01:57 2009 +0200

    split function of DESTDIR into DESTDIR + prefix
    
    It's more common that DESTDIR doesn't include /usr or /usr/local but
    only the base directory for a relocated installation.  The in-tree
    prefix is usually named "prefix".
    
    "usually" here means as it is done by autoconf and as it is expected by
    the Debian package helpers.
    
    While at it also make the other path variables match this convention.
    
    Signed-off-by: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 7453d772a0ffc65b260d0dab6cf2e01864ba52e5
Author: Uwe Kleine-König <u.kleine-koenig at pengutronix.de>
Date:   Tue Apr 7 15:08:17 2009 -0500

    Signed-off-by: Clark Williams <williams@redhat.com>

commit 6f3669db231c7497e24630069b89684fba497b26
Author: Clark Williams <williams@redhat.com>
Date:   Sun Apr 5 09:41:51 2009 -0500

    version bump to 0.34

commit 1b3ee55106c52e7d4f96a8a8d65c564f230010f0
Author: Clark Williams <williams@redhat.com>
Date:   Sun Apr 5 09:31:24 2009 -0500

    reworked settracer()
    
    GeunSik Lim <leemgs1@gmail.com> found a problem with settracer()
    in that it had a hardcoded limit to the number of tracers searched.
    Unfortunately his patch found a bug in either fscanf or debugfs,
    since it doesn't seem to return EOF at the end of input, so I reworked
    the patch to read all the input and parse it using strtok.
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 99ba86e19c8ac18b730d40420263e7b790d18a95
Author: Clark Williams <williams@redhat.com>
Date:   Mon Mar 30 09:21:37 2009 -0500

    version bump to 0.33

commit d2532aed6035502176d44bec8bf3e0c0cb335882
Author: Clark Williams <williams@redhat.com>
Date:   Mon Mar 30 09:21:07 2009 -0500

    fix formatting damage from nanosecond patch

commit 64cca12051795663cea89d0847cbac256465d110
Author: Clark Williams <williams@redhat.com>
Date:   Sat Mar 28 09:39:51 2009 -0500

    version bump to 0.32

commit 58f08ef334c9f1c386af9744eea390ff2c18c422
Author: Luis Henriques <henrix@sapo.pt>
Date:   Fri Mar 20 19:43:18 2009 +0000

    cyclictest: Added option for results in nanoseconds
    
    cyclictest results are presented in microseconds, although internal precision
    uses nanosecond unit.  This patch adds a command-line option for keeping the
    nanoseconds precision.  man page has also been update.
    
    Signed-off-by: Luis Henriques <henrix@sapo.pt>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit a7bd17e188d3b8f18bafd157c1ec9aad31c99096
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Sat Mar 28 12:18:55 2009 +0000

    cyclictest: init tracer only once
    
    The tracer setup happens in every thread, which is nonsense. First of
    all it leads to a lot of irritating warnings because the things are
    setup multiple times. The worst effect is that one tasks runs already
    into the tracer stop condition and the next one reenables the tracer.
    
    Move the tracer setup into the main thread and do it only once.
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit d4a986cb074aa11a9d0342aa55580083fdeff3f0
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Sat Mar 28 12:18:52 2009 +0000

    cyclictest: fix priviledge test
    
    Switching back to SCHED_OTHER in check_priv() fails due to the param
    argument of sched_setscheduler() set to NULL.
    
    Set the priority to 0 and hand in params.
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 9ffdc557b32b11ed551195c6214b26aa2b4c25b3
Author: Clark Williams <williams@redhat.com>
Date:   Sat Mar 21 09:58:57 2009 -0500

    added license header to sigtest.c

commit f4e80a2fb0ed71185451ebf48bbefa534cf805dc
Author: Clark Williams <williams@redhat.com>
Date:   Fri Mar 20 16:15:33 2009 -0500

    version bump to 0.31

commit f5da548e25e4b507cdfaf01b16ec49746408f4e7
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Tue Mar 17 21:50:42 2009 +0100

    Avoid ChangeLog erasing in tarball release
    
    Execute a make clean into a rt-tests directory, exploded from a tarball,
    cause erroneous erasing of the ChangeLog file. Let make do it only if it
    executes under git tree.
    
    Signed-off-by: Alessio Igor Bogani <abogani@texware.it>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 7aecff931f24fa30bc5a8bef33aae7d13cff38ea
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Fri Feb 13 15:36:14 2009 -0600

    To: rt-users <linux-rt-users@vger.kernel.org>
    Cc: Clark Williams <williams@redhat.com>
    Subject: [patch 2/2] cyclictest: support for latest mainline tracer
    
    The tracer in mainline changed the interface another time. Make it
    work again.
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 2c8f2d774e611581dfca85ae5eff1175a325f11d
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Fri Feb 13 15:36:13 2009 -0600

    To: rt-users <linux-rt-users@vger.kernel.org>
    Cc: Clark Williams <williams@redhat.com>
    Subject: [patch 1/2] cyclictest: code cleanup
    
    Started to grow whitespace and formatting sloppiness.
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>
    Signed-off-by: Clark Williams <williams@redhat.com>

commit 0a378282d4bc403cf19f8ce51fdedcfac71bebb9
Author: Luis Henriques <henrix@sapo.pt>
Date:   Mon Feb 9 13:18:35 2009 -0600

    he help for the -C  option was being printed out inside the help of the -c
    option.
    
    Signed-off-by: Luis Henriques <henrix@sapo.pt>
    Signed-off-by: Clark Williams <williams@redhat.c m>

commit 41902b4ca06dc430941820759db7ec274849a76e
Author: Clark Williams <williams@redhat.com>
Date:   Thu Dec 18 16:52:12 2008 -0600

    corrected version bump

commit 495ed19184fe739ca30f8a6673eea2caa7b78cf4
Author: Clark Williams <williams@hs21xm-1.farm.hsv.redhat.com>
Date:   Thu Dec 18 16:47:23 2008 -0600

    bumped version string

commit 724dfb46907e03738e0a7f1e74a2af42c4c666c4
Author: Clark Williams <williams@hs21xm-1.farm.hsv.redhat.com>
Date:   Thu Dec 18 16:46:58 2008 -0600

    changed deadlock detection to be a little more flexible

commit d3ae4c81ea639369104dff310227e6789b0c8340
Author: Clark Williams <williams@hs21xm-1.farm.hsv.redhat.com>
Date:   Thu Dec 18 15:55:10 2008 -0600

    updated pi_stress option processing

commit 9505ea6a6ad5e92f387773d7f3212a7215013a49
Author: Luis Claudio R. Goncalves <lgoncalv@redhat.com>
Date:   Thu Dec 11 10:43:22 2008 -0600

    Patch to fix tracer selection in cyclictest when using -b

commit 679b34e74b9ba1e50e40a88a043932464191e5ab
Author: Clark Williams <williams@redhat.com>
Date:   Thu Dec 11 10:38:46 2008 -0600

    cyclictest fixup for tracing

commit 5164e0178abe65907965ec3ac66108a4b929f9f7
Author: Clark Williams <williams@redhat.com>
Date:   Thu Dec 11 10:26:15 2008 -0600

    Return-Path: <linux-rt-users-owner@vger.kernel.org>
    Received: from pobox-2.corp.redhat.com ([unix socket])
    	 by pobox-2.corp.redhat.com (Cyrus v2.2.12-Invoca-RPM-2.2.12-8.1.RHEL4) with LMTPA;
    	 Tue, 03 Jun 2008 11:50:56 -0400
    X-Sieve: CMU Sieve 2.2
    Received: from int-mx1.corp.redhat.com (int-mx1.corp.redhat.com [172.16.52.254])
    	by pobox-2.corp.redhat.com (8.13.1/8.13.1) with ESMTP id m53FoulP004003
    	for <williams@pobox-2.corp.redhat.com>; Tue, 3 Jun 2008 11:50:56 -0400
    Received: from mx1.redhat.com (mx1.redhat.com [172.16.48.31])
    	by int-mx1.corp.redhat.com (8.13.1/8.13.1) with ESMTP id m53Foth3012071;
    	Tue, 3 Jun 2008 11:50:55 -0400
    Received: from vger.kernel.org (vger.kernel.org [209.132.176.167])
    	by mx1.redhat.com (8.13.8/8.13.8) with ESMTP id m53FOfJq012028;
    	Tue, 3 Jun 2008 11:50:43 -0400
    Received: (majordomo@vger.kernel.org) by vger.kernel.org via listexpand
    	id S1752828AbYFCPun (ORCPT <rfc822;mschmidt@redhat.com> + 1 other);
    	Tue, 3 Jun 2008 11:50:43 -0400
    Received: (majordomo@vger.kernel.org) by vger.kernel.org id S1752865AbYFCPun
    	(ORCPT <rfc822;linux-rt-users-outgoing>);
    	Tue, 3 Jun 2008 11:50:43 -0400
    Received: from hrndva-omtalb.mail.rr.com ([71.74.56.125]:65243 "EHLO
    	hrndva-omtalb.mail.rr.com" rhost-flags-OK-OK-OK-OK) by vger.kernel.org
    	with ESMTP id S1752828AbYFCPum (ORCPT
    	<rfc822;linux-rt-users@vger.kernel.org>);
    	Tue, 3 Jun 2008 11:50:42 -0400
    Received: from gandalf ([74.74.65.243]) by hrndva-omta03.mail.rr.com
              with ESMTP
              id <20080603155041.URDH15997.hrndva-omta03.mail.rr.com@gandalf>;
              Tue, 3 Jun 2008 15:50:41 +0000
    Date: 	Tue, 3 Jun 2008 11:50:40 -0400 (EDT)
    From: Steven Rostedt <rostedt@goodmis.org>
    X-X-Sender: rostedt@gandalf.stny.rr.com
    To: Thomas Gleixner <tglx@linutronix.de>
    cc: linux-rt-users <linux-rt-users@vger.kernel.org>,
            Darren Hart <dvhltc@us.ibm.com>,
            Subrata Modak <subrata@linux.vnet.ibm.com>
    Subject: [PATCH - cyclictest] handle latest ftrace
    Message-ID: <Pine.LNX.4.58.0806031147290.22839@gandalf.stny.rr.com>
    MIME-Version: 1.0
    Content-Type: TEXT/PLAIN; charset=US-ASCII
    Sender: linux-rt-users-owner@vger.kernel.org
    Precedence: bulk
    List-ID: <linux-rt-users.vger.kernel.org>
    X-Mailing-List: 	linux-rt-users@vger.kernel.org
    X-RedHat-Spam-Score: -2.195
    X-Scanned-By: MIMEDefang 2.58 on 172.16.52.254
    X-Scanned-By: MIMEDefang 2.63 on 172.16.48.31
    
    
    This patch has cyclictest work a bit better with ftrace. Some new options
    have been added.
    
    When -b is used:
    
      -P : use the preemptoff tracer
      -I : use the irqsoff tracer
      -B : use preemptirqsoff tracer
    
    If the above are not set, then it tries to use "events" tracer if it is
    available (currently only available in the -rt kernel) and if that is not
    set, it defaults to the sched-switch tracer.
    
    -f will enabled the function tracer.
    
    Signed-off-by: Steven Rostedt <srostedt@redhat.com>

commit a038647f402c16ff090708c50a3afbb8eedbdf18
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Thu Dec 11 10:13:07 2008 -0600

    Makefile patch to prevent deleting too many files in clean operation

commit 5d8328bb03bdfb65a28db700ef4d87ec9215d247
Author: Clark Williams <williams@redhat.com>
Date:   Tue Dec 2 12:22:25 2008 -0600

    changed test to not require root

commit 7cc548377571d24ecde388119ce8a5d468b34f58
Author: Clark Williams <williams@redhat.com>
Date:   Wed Oct 22 15:02:17 2008 -0500

    told git to ignore tarballs and tmpdir

commit b4265a0e8e71a4f83d64c998e04683e161899bb4
Author: Clark Williams <williams@redhat.com>
Date:   Wed Oct 22 15:00:57 2008 -0500

    changed release target in Makefile

commit 3ece612bd1ca169f01e4aa7d79e07c7908a6c869
Author: Clark Williams <williams@redhat.com>
Date:   Wed Oct 22 14:29:33 2008 -0500

    add option to run for specified duration
    
    Add an option (--duration or -D) to specify how long the test should run
    
    Signed-off-by: Clark Williams <williams@redhat.com>

commit cb548199a6203a7fb70839ede9e2be55c8ca11a5
Author: Sven-Thorsten Dietrich <sven@thebigcorporation.com>
Date:   Wed Oct 22 14:33:48 2008 -0500

    Subject: Add histogram support to cyclictest
    
    Add -h <size> parameter and functionality to log histograms of latencies
    in cyclictest.
    
    Signed-off-by: Sven-Thorsten Dietrich <sdietrich@suse.de>

commit 2e058f7f98af81c89dafb8908da2db5d27e9df7d
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 25 15:13:51 2008 -0500

    fixed merge breakage

commit 2d45d878baf89dd13eeaa5308206349c493bea37
Merge: 1c3872ef1dd6 81523d18b4c3
Author: Clark Williams <williams@redhat.com>
Date:   Thu Sep 25 15:11:56 2008 -0500

    Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/tglx/rt-tests
    
    Conflicts:
    	src/cyclictest/cyclictest.c
    	src/pi_tests/pi_stress.8

commit 81523d18b4c324202f40f6cd88a989f8ae290c93
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Mon Jul 28 12:45:20 2008 +0200

    Release 0.27
    
    Testing before release would be better !
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit d14c3da7c8b465f7f4cd8d51fcc78cb738dd088c
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Mon Jul 28 12:35:08 2008 +0200

    release v0.26
    
    Remove the rpm spec file from git as it is autogenerated.
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit db07df3e98359dad9116bca0d3954d35476e4f50
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Sun Jul 27 22:50:56 2008 +0200

    Release v0.25
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 5d3ac6cb76a03695bb7d8b3a6c029a368e3cd95a
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Sun Jul 27 22:49:02 2008 +0200

    cyclictest: remove duplicate option in help text
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 69d53796da84998da7257986bf1dd06e665c44a0
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Thu Jul 17 11:57:07 2008 +0200

    Fix typo in pi_stress manpage
    
    Signed-off-by: Alessio Igor Bogani <abogani@texware.it>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 5cd772b14aab8c12493307b3c1914c3c190b1938
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Thu Jul 17 11:49:27 2008 +0200

    Differentiate hyphen and minus in manpages
    
    Signed-off-by: Alessio Igor Bogani <abogani@texware.it>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 8e30668e241be9a7b4c33c984b013232bf9a61b9
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Sat Jul 12 04:22:44 2008 +0200

    rt-tests: v0.24
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit d60e13722df2762934fedbecce48d1a001560d50
Author: Clark Williams <williams@redhat.com>
Date:   Fri May 9 13:43:55 2008 -0500

    fixed formating damage
    
    Signed-off-by: Clark Williams <williams@redhat.com>
    Cc: Arnaldo Carvalho de Melo <acme@ghostprotocols.net>
    Cc: Luis Claudio Goncalves <lclaudio@uudg.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 198975b2e48dc00b39027e7c2938c41a61aa13f3
Author: Clark Williams <williams@redhat.com>
Date:   Fri May 9 13:40:08 2008 -0500

    updated man pages for --mlockall option
    
    Signed-off-by: Clark Williams <williams@redhat.com>
    Cc: Arnaldo Carvalho de Melo <acme@ghostprotocols.net>
    Cc: Luis Claudio Goncalves <lclaudio@uudg.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 1e00c7a58710e2519fa43e92d222997abf1c4ac1
Author: Clark Williams <williams@redhat.com>
Date:   Fri May 9 13:28:50 2008 -0500

    added mlockall option
    
    Signed-off-by: Clark Williams <williams@redhat.com>
    Cc: Arnaldo Carvalho de Melo <acme@ghostprotocols.net>
    Cc: Luis Claudio Goncalves <lclaudio@uudg.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 1c3872ef1dd61db5c5d9836bced3c81a90c111af
Merge: 699c38bb8d83 4f55874ffdb1
Author: Clark Williams <williams@redhat.com>
Date:   Tue Jul 8 08:45:51 2008 -0500

    Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/tglx/rt-tests
    
    Conflicts:
    
    	src/cyclictest/cyclictest.c

commit 4f55874ffdb1363cefd171568d78eb1456d582f7
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Sun Jul 6 19:21:42 2008 +0200

    Version 0.23
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 3ad6648f2c7ed281c8bd608d5be875842b1f4f78
Author: John Kacur <jkacur@gmail.com>
Date:   Fri Jun 27 10:10:09 2008 +0200

    Fix the processing of optional options for cyclictest
    
    Problem: when running cyclic test, short options are not parsing
    optional arguments correctly when followed by a space.
    "-t3" works, but "-t 3" does not.
    
    - Fix the processing of options with optional parameters, so that the user
      can write -tNUM or -t NUM and it will work as expected. This was done
      for the -t and -a options
    
    - Modify the usage messages to correspond with the way the program makes use
      of the options.
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 699c38bb8d83a072a1e369c580557df8b1a1da6b
Merge: 5587d442ee5e 7a052daef09a
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jun 12 19:43:21 2008 -0500

    Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/tglx/rt-tests
    
    Conflicts:
    
    	.gitignore
    	src/cyclictest/cyclictest.8
    	src/cyclictest/cyclictest.c

commit 7a052daef09a5af77815e21fbff84ef580110dee
Author: Carsten Emde <c.emde@osadl.org>
Date:   Thu Jun 5 02:12:40 2008 +0200

    rt-tests/Makefile: Import an updated version number into RPM spec file
    
    Import an updated version number into RPM spec file.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 6963a41f688dcd31733b6ede305009940c349ddf
Author: Carsten Emde <c.emde@osadl.org>
Date:   Thu Jun 5 02:07:21 2008 +0200

    rt-tests/cyclictest.c: oscilloscope mode did not work correctly with >1 threads
    
    Data reduction (-o mode) did not work correctly with >1 threads.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit b0841096ce115a4b2f2125df952cb2f789bd75b2
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Wed Jun 4 17:30:55 2008 +0200

    Version 0.22
    
    I'm getting old and forgetful :)
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 434091fc6534d522e7260c59d149e5106bca638f
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Mon Apr 21 14:01:32 2008 +0200

    Fix some typo in the cyclictest's man page

commit 87d83b67cc75fba4ad6c0cb668b52395ae35abbd
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Fri Apr 18 18:05:46 2008 +0200

    Add produced binary into .gitignore

commit 8d09028ba3fb4025d223b535044be63f91c3559d
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Wed Jun 4 17:22:51 2008 +0200

    Version 0.21
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 894308125b2cd5e60cd6790a76fd37a0a4344512
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Wed Jun 4 17:21:55 2008 +0200

    Make: Exclude releases subdir from release tarball
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 65d1cb7079ccc68d0968950b64f1f77b6692fd7d
Author: Steven Rostedt <rostedt@goodmis.org>
Date:   Tue Jun 3 12:11:15 2008 -0400

    cyclictest: sched_switch not sched-switch
    
    I noticed I had a typo on sched_switch. I tested this on linux-tip tree
    and it works there.
    
    Signed-off-by: Steven Rostedt <srostedt@redhat.com>
    Cc: Darren Hart <dvhltc@us.ibm.com>
    Cc: Subrata Modak <subrata@linux.vnet.ibm.com>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 9ba30e6ef2e2975ca27834e8968393ca5b07da29
Author: Steven Rostedt <rostedt@goodmis.org>
Date:   Tue Jun 3 11:50:40 2008 -0400

    cyclictest: handle latest ftrace
    
    This patch has cyclictest work a bit better with ftrace. Some new options
    have been added.
    
    When -b is used:
    
      -P : use the preemptoff tracer
      -I : use the irqsoff tracer
      -B : use preemptirqsoff tracer
    
    If the above are not set, then it tries to use "events" tracer if it is
    available (currently only available in the -rt kernel) and if that is not
    set, it defaults to the sched-switch tracer.
    
    -f will enabled the function tracer.
    
    Signed-off-by: Steven Rostedt <srostedt@redhat.com>
    Cc: Darren Hart <dvhltc@us.ibm.com>
    Cc: Subrata Modak <subrata@linux.vnet.ibm.com>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit fcee9fe2e0150e384e5335e093c962df73079239
Author: Steven Rostedt <rostedt@goodmis.org>
Date:   Tue Jun 3 11:47:16 2008 -0400

    cyclictest: search for debugfs
    
    Not everyone mounts debugfs at /debug. This patch makes cyclictest search
    for debugfs in the /proc/mounts directory.
    
    Signed-off-by: Steven Rostedt <srostedt@redhat.com>
    Cc: Darren Hart <dvhltc@us.ibm.com>
    Cc: Subrata Modak <subrata@linux.vnet.ibm.com>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 5587d442ee5eba79325e842f5ecc70ce6fe74817
Author: Clark Williams <williams@redhat.com>
Date:   Fri May 9 13:43:55 2008 -0500

    fixed formating damage

commit f6db792ba42908b78f31d3a16cf5c170c29085b7
Author: Clark Williams <williams@redhat.com>
Date:   Fri May 9 13:40:08 2008 -0500

    updated man pages for --mlockall option

commit c4a44c163df791ec3f42075e587685fa7e5b031d
Author: Clark Williams <williams@redhat.com>
Date:   Fri May 9 13:28:50 2008 -0500

    added mlockall option

commit 1a731d646e54cac2463c0a20a00e696a8ede0ad0
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Fri Apr 18 14:39:41 2008 +0200

    Bump version number to 0.20
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 2df51a799f797df2acf2955f24ea76fc7db7e15f
Author: Carsten Emde <c.emde@osadl.org>
Date:   Thu Apr 17 21:25:37 2008 +0200

    cyclictest: send correct cycle number in -o mode
    
    The appropriate cycle number of the maximum is now sent when in -o
    mode. This is needed to more accurately determine the trace line that
    is related to a particular latency.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 6a0f073aa46c86503783ea94db7c2e10b3fcc9ce
Author: Sebastian Siewior <bigeasy@tglx.de>
Date:   Thu Apr 17 11:00:39 2008 +0200

    cyclictest: fix "get kernel version"
    
    The version check in cyclic test fails if proc isn't mounted or if OS
    name isn't Linux (uClinux isn't uncommon).  This patch fixes both
    issues.
    
    Signed-off-by: Sebastian Siewior <bigeasy@linutronix.de>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 342e3b83ee5a643984facbf232ddc7751fbd83ec
Author: Sebastian Siewior <bigeasy@tglx.de>
Date:   Thu Apr 17 10:59:47 2008 +0200

    cyclictest: fix build on uClibc due to missing cpu affinity
    
    CPU affinity isn't supported by all uClibc ports right now.
    
    Signed-off-by: Sebastian Siewior <bigeasy@linutronix.de>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 7f4ac71644644b01a47871036bddbf3c302d0041
Author: Sebastian Siewior <bigeasy@tglx.de>
Date:   Wed Apr 16 11:04:30 2008 +0200

    cyclictest: fix for uClibc builds
    
    as of uClibc-20080416 clock_nanosleep is still not implemented.
    
    Signed-off-by: Sebastian Siewior <bigeasy@linutronix.de>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 4cb277ee27fb8af44aca9e8a4fb0ac7de63e8f8b
Author: Carsten Emde <c.emde@osadl.org>
Date:   Mon Apr 14 13:23:51 2008 +0200

    cyclictest: add -o option to reduce -v option's output speed
    
    When the output of the -v option is piped into another program and if
    more data are sent than the other program can eat, data points get
    lost. Since high latency values normally occur much less frequently
    than average latency values, the connected program will miss many of
    the high latency values, and the realtime capability of a given system
    may appear much better than it is.
    
    Therefore, the new option -o RED was introduced. This option causes
    cyclictest to suppress every subsequent RED number of samples and
    replace them with the maximum of the values encountered during that
    sampling interval.
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 82155e3d9e41d6df1a0902534f7240b0a99b9b8b
Author: Carsten Emde <c.emde@osadl.org>
Date:   Sun Apr 6 20:17:22 2008 +0200

    cyclictest & kernel>=2.6.24
    
    - Added support for the kernel tracer as of kernel 2.6.24
    - Options mostly identical, irrespective of the kernel version
    - Added check whether debug fs is mounted and tracing configured
    - -v (verbose) option additionally makes tracing more verbose
    
    Signed-off-by: Carsten Emde <C.Emde@osadl.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit f055732c1669be86d253338f8968eea2d423aa7b
Author: Carsten Emde <c.emde@osadl.org>
Date:   Sat Apr 5 20:24:37 2008 +0200

    cyclictest: add CPU affinity
    
    Add CPU affinitt option to cyclictest.
    
    1. New option -a:
    
    without argument to a cyclictest spreads the threads consecutive on
    the available CPUs. On a quad core machine we get:
    
    -a -t4   Thread #0 -> CPU #0
             Thread #1 -> CPU #1
             Thread #2 -> CPU #2
             Thread #3 -> CPU #3
    
    -a -t5   Thread #0 -> CPU #0
             Thread #1 -> CPU #1
             Thread #2 -> CPU #2
             Thread #3 -> CPU #3
             Thread #4 -> CPU #0
    
    Adding a CPU number to the -a option all threads are pinned to
    the given CPU:
    
    -a3 -t4  Thread #0 -> CPU #3
             Thread #1 -> CPU #3
             Thread #2 -> CPU #3
             Thread #3 -> CPU #3
    
    2. extension of the -t option:
    
    Without argument to -t cyclictest starts as many threads as CPUs are
    available.
    
    Signed-off-by: Carsten Emde <c.emde@osadl.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 44b84cd87f7e94ce624bb61826c7b493b9a6cb86
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Fri Jan 4 09:00:33 2008 +0100

    v0.19
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit df2bf2cfdc3bff5e90286677d450a9a1e6de0232
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jan 3 13:33:43 2008 -0600

    added Obsoletes

commit 58d8df8cc8f260a313f64aa9ea9ee8ede7c20f11
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jan 3 13:33:23 2008 -0600

    added distclean target to cleanup rpm dirs

commit fea12d35c39899fe6d071c006658d151845ec702
Author: Clark Williams <williams@redhat.com>
Date:   Thu Jan 3 13:26:22 2008 -0600

    added pi_tests; added specfile for rpm generation

commit 899ebf7302348a8c7161f164e68fa35048fe09e0
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Thu Dec 20 17:02:53 2007 +0100

    Fix kernel parameters in cyclictest's manpage
    
    Signed-off-by: Alessio Igor Bogani <abogani@texware.it>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit ca606d3fe9ce5a6e3158e4556869ceceda454a79
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Fri Dec 14 15:33:12 2007 +0100

    v0.18
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit d00cc0754aa404e1f713284a698a2ac2936ce225
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Fri Dec 14 15:23:51 2007 +0100

    Some more Makefile updates
    
    - add changelog and install targets
    - replace $(CROSS_COMPILE)gcc with $(CC)
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit be4a5a980797709898e5e27d553e06a69d657dae
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Wed Dec 12 11:56:05 2007 +0100

    Unified versions into Makefile
    
    Packaging version control
    
    Signed-off-by: Alessio Igor Bogani <abogani@texware.it>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 79ad2eca9abe2922217929e22d8e3e330a579e13
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Wed Dec 12 10:24:38 2007 +0100

    COPYING file and cyclictest's man page added
    
    Signed-off-by: Alessio Igor Bogani <abogani@texware.it>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit e6b72071152c6e4edfd7a163826c291aa720c976
Author: Alessio Igor Bogani <abogani@texware.it>
Date:   Wed Dec 12 10:20:17 2007 +0100

    Re-organized sources
    
    Move code around to make packaging easier.
    
    Signed-off-by: Alessio Igor Bogani <abogani@texware.it>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 9a10305f0d5964146c0f9c8003645a83d33c91cf
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Thu Oct 18 19:20:05 2007 +0200

    Bump version number
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 4ee3b82d4ec2e7939e57e62bfa258fbac477552c
Author: Clark Williams <williams@redhat.com>
Date:   Thu Oct 18 09:31:24 2007 -0500

    Fix to cyclictest (from signaltest fix)
    
    This is a patch that's a ripple from the bug in signaltest that Luis and Jeff Burke
    were working on. Looks like there's a race where a variable can be used
    uninitialized, depending on thread scheduling circumstances. Probably not major, but
    hey, can't hurt :).
    
    Signed-off-by: Clark Williams <williams@redhat.com>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit 854cd3eae2a224e0dbb698c7587226d0a92c7341
Author: Thomas Gleixner <tglx@linutronix.de>
Date:   Thu Oct 18 00:19:07 2007 +0200

    Bump version number
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit b1bb85c51fe096aa69d04bf2e68668059d77d499
Author: Luis Claudio R. Goncalves <lclaudio@uudg.org>
Date:   Wed Oct 17 20:00:18 2007 -0400

    Signaltest: initialize stat[i].threadstarted before using
    
    Signaltest was hanging in a wide variety of kernel versions, in some cases
    after a few iterations and in other cases right after being called on the
    command line. We created a bugzilla ticket for this issue:
    
    	https://bugzilla.redhat.com/show_bug.cgi?id=308231
    
    After a few debug sessions we realized that a shared variable used to
    synchronize the work between threads, stat[i].threadstarted, could end up
    being used before initialization depending on the scheduling of the
    threads.
    
    The fix is a one-liner.
    
    Signed-off-by: Luis Claudio R. Goncalves <lclaudio@uudg.org>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit afb46d37f279ac1503e1039fefacf306a895b134
Author: Thomas Gleixner <tglx@inhell4.(none)>
Date:   Fri May 11 21:49:27 2007 +0200

    Bump version number
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit dfbefb8056e363bca648a50274abe9983bee2da3
Author: Thomas Gleixner <tglx@inhell4.(none)>
Date:   Fri May 11 21:32:51 2007 +0200

    Check if highres timers are enabled
    
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit f22379d0a40ef301a67e1eeae3923549b0eb582f
Author: Carsten Emde <ce@ceag.ch>
Date:   Fri May 11 21:11:46 2007 +0200

    Save and restore the tracer variables
    
    Signed-off-by: Carsten Emde <ce@ceag.ch>
    Signed-off-by: Thomas Gleixner <tglx@linutronix.de>

commit fa892122f3b56913a53299c9c12e710b3e45316b
Author: Thomas Gleixner <tglx@inhell4.(none)>
Date:   Fri May 11 21:01:04 2007 +0200

    Initial import
